#include <inline/stub.h>
#ifndef BASE_EXT_DECL
#define BASE_EXT_DECL extern struct DOSBase * DOSBase;
#endif
#ifndef BASE_PAR_DECL
#define BASE_PAR_DECL
#define BASE_PAR_DECL0 void
#endif
#ifndef BASE_NAME
#define BASE_NAME DOSBase
#endif
__inline static BPTR Open(BASE_PAR_DECL UBYTE* name, long int accessMode)
{
	BASE_EXT_DECL
	register BPTR res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register long int d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = name;
	d2 = accessMode;
	__asm volatile ("
	jsr a6@(-0x1e)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static LONG Close(BASE_PAR_DECL BPTR file)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = file;
	__asm volatile ("
	jsr a6@(-0x24)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static LONG Read(BASE_PAR_DECL BPTR file, APTR buffer, long int length)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");
	register APTR d2 __asm("d2");
	register long int d3 __asm("d3");

	a6 = BASE_NAME;
	d1 = file;
	d2 = buffer;
	d3 = length;
	__asm volatile ("
	jsr a6@(-0x2a)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	return res;
}
__inline static LONG Write(BASE_PAR_DECL BPTR file, APTR buffer, long int length)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");
	register APTR d2 __asm("d2");
	register long int d3 __asm("d3");

	a6 = BASE_NAME;
	d1 = file;
	d2 = buffer;
	d3 = length;
	__asm volatile ("
	jsr a6@(-0x30)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	return res;
}
__inline static BPTR Input(BASE_PAR_DECL0)
{
	BASE_EXT_DECL
	register BPTR res __asm("d0");
	register void *a6 __asm ("a6");
	a6 = BASE_NAME;
	__asm volatile ("
	jsr a6@(-0x36)"
	: "=g" (res)
	: "g" (a6)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static BPTR Output(BASE_PAR_DECL0)
{
	BASE_EXT_DECL
	register BPTR res __asm("d0");
	register void *a6 __asm ("a6");
	a6 = BASE_NAME;
	__asm volatile ("
	jsr a6@(-0x3c)"
	: "=g" (res)
	: "g" (a6)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static LONG Seek(BASE_PAR_DECL BPTR file, long int position, long int offset)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");
	register long int d2 __asm("d2");
	register long int d3 __asm("d3");

	a6 = BASE_NAME;
	d1 = file;
	d2 = position;
	d3 = offset;
	__asm volatile ("
	jsr a6@(-0x42)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	return res;
}
__inline static LONG DeleteFile(BASE_PAR_DECL UBYTE* name)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = name;
	__asm volatile ("
	jsr a6@(-0x48)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static LONG Rename(BASE_PAR_DECL UBYTE* oldName, UBYTE* newName)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register UBYTE* d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = oldName;
	d2 = newName;
	__asm volatile ("
	jsr a6@(-0x4e)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static BPTR Lock(BASE_PAR_DECL UBYTE* name, long int type)
{
	BASE_EXT_DECL
	register BPTR res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register long int d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = name;
	d2 = type;
	__asm volatile ("
	jsr a6@(-0x54)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static void UnLock(BASE_PAR_DECL BPTR lock)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = lock;
	__asm volatile ("
	jsr a6@(-0x5a)"
	: /* no output */
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
}
__inline static BPTR DupLock(BASE_PAR_DECL BPTR lock)
{
	BASE_EXT_DECL
	register BPTR res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = lock;
	__asm volatile ("
	jsr a6@(-0x60)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static LONG Examine(BASE_PAR_DECL BPTR lock, struct FileInfoBlock* fileInfoBlock)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");
	register struct FileInfoBlock* d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = lock;
	d2 = fileInfoBlock;
	__asm volatile ("
	jsr a6@(-0x66)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static LONG ExNext(BASE_PAR_DECL BPTR lock, struct FileInfoBlock* fileInfoBlock)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");
	register struct FileInfoBlock* d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = lock;
	d2 = fileInfoBlock;
	__asm volatile ("
	jsr a6@(-0x6c)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static LONG Info(BASE_PAR_DECL BPTR lock, struct InfoData* parameterBlock)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");
	register struct InfoData* d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = lock;
	d2 = parameterBlock;
	__asm volatile ("
	jsr a6@(-0x72)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static BPTR CreateDir(BASE_PAR_DECL UBYTE* name)
{
	BASE_EXT_DECL
	register BPTR res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = name;
	__asm volatile ("
	jsr a6@(-0x78)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static BPTR CurrentDir(BASE_PAR_DECL BPTR lock)
{
	BASE_EXT_DECL
	register BPTR res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = lock;
	__asm volatile ("
	jsr a6@(-0x7e)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static LONG IoErr(BASE_PAR_DECL0)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	a6 = BASE_NAME;
	__asm volatile ("
	jsr a6@(-0x84)"
	: "=g" (res)
	: "g" (a6)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static struct MsgPort* CreateProc(BASE_PAR_DECL UBYTE* name, long int pri, BPTR segList, long int stackSize)
{
	BASE_EXT_DECL
	register struct MsgPort* res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register long int d2 __asm("d2");
	register BPTR d3 __asm("d3");
	register long int d4 __asm("d4");

	a6 = BASE_NAME;
	d1 = name;
	d2 = pri;
	d3 = segList;
	d4 = stackSize;
	__asm volatile ("
	jsr a6@(-0x8a)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3), "g" (d4)
	: "d0", "d1", "a0", "a1", "d2", "d3", "d4");
	return res;
}
__inline static void Exit(BASE_PAR_DECL long int returnCode)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register long int d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = returnCode;
	__asm volatile ("
	jsr a6@(-0x90)"
	: /* no output */
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
}
__inline static BPTR LoadSeg(BASE_PAR_DECL UBYTE* name)
{
	BASE_EXT_DECL
	register BPTR res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = name;
	__asm volatile ("
	jsr a6@(-0x96)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void UnLoadSeg(BASE_PAR_DECL BPTR seglist)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = seglist;
	__asm volatile ("
	jsr a6@(-0x9c)"
	: /* no output */
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
}
#ifdef PRIVATE
#endif
__inline static struct MsgPort* DeviceProc(BASE_PAR_DECL UBYTE* name)
{
	BASE_EXT_DECL
	register struct MsgPort* res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = name;
	__asm volatile ("
	jsr a6@(-0xae)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static LONG SetComment(BASE_PAR_DECL UBYTE* name, UBYTE* comment)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register UBYTE* d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = name;
	d2 = comment;
	__asm volatile ("
	jsr a6@(-0xb4)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static LONG SetProtection(BASE_PAR_DECL UBYTE* name, long int protect)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register long int d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = name;
	d2 = protect;
	__asm volatile ("
	jsr a6@(-0xba)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static struct DateStamp* DateStamp(BASE_PAR_DECL struct DateStamp* date)
{
	BASE_EXT_DECL
	register struct DateStamp* res __asm("d0");
	register void *a6 __asm ("a6");
	register struct DateStamp* d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = date;
	__asm volatile ("
	jsr a6@(-0xc0)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void Delay(BASE_PAR_DECL long int timeout)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register long int d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = timeout;
	__asm volatile ("
	jsr a6@(-0xc6)"
	: /* no output */
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
}
__inline static LONG WaitForChar(BASE_PAR_DECL BPTR file, long int timeout)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");
	register long int d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = file;
	d2 = timeout;
	__asm volatile ("
	jsr a6@(-0xcc)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static BPTR ParentDir(BASE_PAR_DECL BPTR lock)
{
	BASE_EXT_DECL
	register BPTR res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = lock;
	__asm volatile ("
	jsr a6@(-0xd2)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static LONG IsInteractive(BASE_PAR_DECL BPTR file)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = file;
	__asm volatile ("
	jsr a6@(-0xd8)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static LONG Execute(BASE_PAR_DECL UBYTE* string, BPTR file, BPTR file2)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register BPTR d2 __asm("d2");
	register BPTR d3 __asm("d3");

	a6 = BASE_NAME;
	d1 = string;
	d2 = file;
	d3 = file2;
	__asm volatile ("
	jsr a6@(-0xde)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	return res;
}
__inline static APTR AllocDosObject(BASE_PAR_DECL long unsigned int type, struct TagItem* tags)
{
	BASE_EXT_DECL
	register APTR res __asm("d0");
	register void *a6 __asm ("a6");
	register long unsigned int d1 __asm("d1");
	register struct TagItem* d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = type;
	d2 = tags;
	__asm volatile ("
	jsr a6@(-0xe4)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static void FreeDosObject(BASE_PAR_DECL long unsigned int type, APTR ptr)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register long unsigned int d1 __asm("d1");
	register APTR d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = type;
	d2 = ptr;
	__asm volatile ("
	jsr a6@(-0xea)"
	: /* no output */
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
}
__inline static LONG DoPkt(BASE_PAR_DECL struct MsgPort* port, long int action, long int arg1, long int arg2, long int arg3, long int arg4, long int arg5)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register struct MsgPort* d1 __asm("d1");
	register long int d2 __asm("d2");
	register long int d3 __asm("d3");
	register long int d4 __asm("d4");
	register long int d5 __asm("d5");
	register long int d6 __asm("d6");
	register long int d7 __asm("d7");

	a6 = BASE_NAME;
	d1 = port;
	d2 = action;
	d3 = arg1;
	d4 = arg2;
	d5 = arg3;
	d6 = arg4;
	d7 = arg5;
	__asm volatile ("" : /* no input */
	: "g" (d1));
	__asm volatile ("
	jsr a6@(-0xf0)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3), "g" (d4), "g" (d5), "g" (d6)
	: "d0", "d1", "a0", "a1", "d2", "d3", "d4", "d5", "d6", "d7");
	return res;
}
__inline static void SendPkt(BASE_PAR_DECL struct DosPacket* dp, struct MsgPort* port, struct MsgPort* replyport)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct DosPacket* d1 __asm("d1");
	register struct MsgPort* d2 __asm("d2");
	register struct MsgPort* d3 __asm("d3");

	a6 = BASE_NAME;
	d1 = dp;
	d2 = port;
	d3 = replyport;
	__asm volatile ("
	jsr a6@(-0xf6)"
	: /* no output */
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
}
__inline static struct DosPacket* WaitPkt(BASE_PAR_DECL0)
{
	BASE_EXT_DECL
	register struct DosPacket* res __asm("d0");
	register void *a6 __asm ("a6");
	a6 = BASE_NAME;
	__asm volatile ("
	jsr a6@(-0xfc)"
	: "=g" (res)
	: "g" (a6)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void ReplyPkt(BASE_PAR_DECL struct DosPacket* dp, long int res1, long int res2)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct DosPacket* d1 __asm("d1");
	register long int d2 __asm("d2");
	register long int d3 __asm("d3");

	a6 = BASE_NAME;
	d1 = dp;
	d2 = res1;
	d3 = res2;
	__asm volatile ("
	jsr a6@(-0x102)"
	: /* no output */
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
}
__inline static void AbortPkt(BASE_PAR_DECL struct MsgPort* port, struct DosPacket* pkt)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct MsgPort* d1 __asm("d1");
	register struct DosPacket* d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = port;
	d2 = pkt;
	__asm volatile ("
	jsr a6@(-0x108)"
	: /* no output */
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
}
__inline static BOOL LockRecord(BASE_PAR_DECL BPTR fh, long unsigned int offset, long unsigned int length, long unsigned int mode, long unsigned int timeout)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");
	register long unsigned int d2 __asm("d2");
	register long unsigned int d3 __asm("d3");
	register long unsigned int d4 __asm("d4");
	register long unsigned int d5 __asm("d5");

	a6 = BASE_NAME;
	d1 = fh;
	d2 = offset;
	d3 = length;
	d4 = mode;
	d5 = timeout;
	__asm volatile ("
	jsr a6@(-0x10e)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3), "g" (d4), "g" (d5)
	: "d0", "d1", "a0", "a1", "d2", "d3", "d4", "d5");
	return res;
}
__inline static BOOL LockRecords(BASE_PAR_DECL struct RecordLock* recArray, long unsigned int timeout)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register struct RecordLock* d1 __asm("d1");
	register long unsigned int d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = recArray;
	d2 = timeout;
	__asm volatile ("
	jsr a6@(-0x114)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static BOOL UnLockRecord(BASE_PAR_DECL BPTR fh, long unsigned int offset, long unsigned int length)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");
	register long unsigned int d2 __asm("d2");
	register long unsigned int d3 __asm("d3");

	a6 = BASE_NAME;
	d1 = fh;
	d2 = offset;
	d3 = length;
	__asm volatile ("
	jsr a6@(-0x11a)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	return res;
}
__inline static BOOL UnLockRecords(BASE_PAR_DECL struct RecordLock* recArray)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register struct RecordLock* d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = recArray;
	__asm volatile ("
	jsr a6@(-0x120)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static BPTR SelectInput(BASE_PAR_DECL BPTR fh)
{
	BASE_EXT_DECL
	register BPTR res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = fh;
	__asm volatile ("
	jsr a6@(-0x126)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static BPTR SelectOutput(BASE_PAR_DECL BPTR fh)
{
	BASE_EXT_DECL
	register BPTR res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = fh;
	__asm volatile ("
	jsr a6@(-0x12c)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static LONG FGetC(BASE_PAR_DECL BPTR fh)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = fh;
	__asm volatile ("
	jsr a6@(-0x132)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void FPutC(BASE_PAR_DECL BPTR fh, long unsigned int ch)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");
	register long unsigned int d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = fh;
	d2 = ch;
	__asm volatile ("
	jsr a6@(-0x138)"
	: /* no output */
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
}
__inline static LONG UnGetC(BASE_PAR_DECL BPTR fh, long int character)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");
	register long int d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = fh;
	d2 = character;
	__asm volatile ("
	jsr a6@(-0x13e)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static LONG FRead(BASE_PAR_DECL BPTR fh, APTR block, long unsigned int blocklen, long unsigned int number)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");
	register APTR d2 __asm("d2");
	register long unsigned int d3 __asm("d3");
	register long unsigned int d4 __asm("d4");

	a6 = BASE_NAME;
	d1 = fh;
	d2 = block;
	d3 = blocklen;
	d4 = number;
	__asm volatile ("
	jsr a6@(-0x144)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3), "g" (d4)
	: "d0", "d1", "a0", "a1", "d2", "d3", "d4");
	return res;
}
__inline static LONG FWrite(BASE_PAR_DECL BPTR fh, APTR block, long unsigned int blocklen, long unsigned int number)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");
	register APTR d2 __asm("d2");
	register long unsigned int d3 __asm("d3");
	register long unsigned int d4 __asm("d4");

	a6 = BASE_NAME;
	d1 = fh;
	d2 = block;
	d3 = blocklen;
	d4 = number;
	__asm volatile ("
	jsr a6@(-0x14a)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3), "g" (d4)
	: "d0", "d1", "a0", "a1", "d2", "d3", "d4");
	return res;
}
__inline static UBYTE* FGets(BASE_PAR_DECL BPTR fh, UBYTE* buf, long unsigned int buflen)
{
	BASE_EXT_DECL
	register UBYTE* res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");
	register UBYTE* d2 __asm("d2");
	register long unsigned int d3 __asm("d3");

	a6 = BASE_NAME;
	d1 = fh;
	d2 = buf;
	d3 = buflen;
	__asm volatile ("
	jsr a6@(-0x150)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	return res;
}
__inline static LONG FPuts(BASE_PAR_DECL BPTR fh, UBYTE* str)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");
	register UBYTE* d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = fh;
	d2 = str;
	__asm volatile ("
	jsr a6@(-0x156)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static void VFWritef(BASE_PAR_DECL BPTR fh, UBYTE* format, LONG* argarray)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");
	register UBYTE* d2 __asm("d2");
	register LONG* d3 __asm("d3");

	a6 = BASE_NAME;
	d1 = fh;
	d2 = format;
	d3 = argarray;
	__asm volatile ("
	jsr a6@(-0x15c)"
	: /* no output */
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
}
__inline static LONG VFPrintf(BASE_PAR_DECL BPTR fh, UBYTE* format, LONG* argarray)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");
	register UBYTE* d2 __asm("d2");
	register LONG* d3 __asm("d3");

	a6 = BASE_NAME;
	d1 = fh;
	d2 = format;
	d3 = argarray;
	__asm volatile ("
	jsr a6@(-0x162)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	return res;
}
__inline static void Flush(BASE_PAR_DECL BPTR fh)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = fh;
	__asm volatile ("
	jsr a6@(-0x168)"
	: /* no output */
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
}
__inline static LONG SetVBuf(BASE_PAR_DECL BPTR fh, UBYTE* buff, long int type, long int size)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");
	register UBYTE* d2 __asm("d2");
	register long int d3 __asm("d3");
	register long int d4 __asm("d4");

	a6 = BASE_NAME;
	d1 = fh;
	d2 = buff;
	d3 = type;
	d4 = size;
	__asm volatile ("
	jsr a6@(-0x16e)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3), "g" (d4)
	: "d0", "d1", "a0", "a1", "d2", "d3", "d4");
	return res;
}
__inline static BPTR DupLockFromFH(BASE_PAR_DECL BPTR fh)
{
	BASE_EXT_DECL
	register BPTR res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = fh;
	__asm volatile ("
	jsr a6@(-0x174)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static BPTR OpenFromLock(BASE_PAR_DECL BPTR lock)
{
	BASE_EXT_DECL
	register BPTR res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = lock;
	__asm volatile ("
	jsr a6@(-0x17a)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static BPTR ParentOfFH(BASE_PAR_DECL BPTR fh)
{
	BASE_EXT_DECL
	register BPTR res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = fh;
	__asm volatile ("
	jsr a6@(-0x180)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static BOOL ExamineFH(BASE_PAR_DECL BPTR fh, struct FileInfoBlock* fib)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");
	register struct FileInfoBlock* d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = fh;
	d2 = fib;
	__asm volatile ("
	jsr a6@(-0x186)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static LONG SetFileDate(BASE_PAR_DECL UBYTE* name, struct DateStamp* date)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register struct DateStamp* d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = name;
	d2 = date;
	__asm volatile ("
	jsr a6@(-0x18c)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static LONG NameFromLock(BASE_PAR_DECL BPTR lock, UBYTE* buffer, long int len)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");
	register UBYTE* d2 __asm("d2");
	register long int d3 __asm("d3");

	a6 = BASE_NAME;
	d1 = lock;
	d2 = buffer;
	d3 = len;
	__asm volatile ("
	jsr a6@(-0x192)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	return res;
}
__inline static LONG NameFromFH(BASE_PAR_DECL BPTR fh, UBYTE* buffer, long int len)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");
	register UBYTE* d2 __asm("d2");
	register long int d3 __asm("d3");

	a6 = BASE_NAME;
	d1 = fh;
	d2 = buffer;
	d3 = len;
	__asm volatile ("
	jsr a6@(-0x198)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	return res;
}
__inline static WORD SplitName(BASE_PAR_DECL UBYTE* name, long unsigned int seperator, UBYTE* buf, long int oldpos, long int size)
{
	BASE_EXT_DECL
	register WORD res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register long unsigned int d2 __asm("d2");
	register UBYTE* d3 __asm("d3");
	register long int d4 __asm("d4");
	register long int d5 __asm("d5");

	a6 = BASE_NAME;
	d1 = name;
	d2 = seperator;
	d3 = buf;
	d4 = oldpos;
	d5 = size;
	__asm volatile ("
	jsr a6@(-0x19e)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3), "g" (d4), "g" (d5)
	: "d0", "d1", "a0", "a1", "d2", "d3", "d4", "d5");
	return res;
}
__inline static LONG SameLock(BASE_PAR_DECL BPTR lock1, BPTR lock2)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");
	register BPTR d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = lock1;
	d2 = lock2;
	__asm volatile ("
	jsr a6@(-0x1a4)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static LONG SetMode(BASE_PAR_DECL BPTR fh, long int mode)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");
	register long int d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = fh;
	d2 = mode;
	__asm volatile ("
	jsr a6@(-0x1aa)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static LONG ExAll(BASE_PAR_DECL BPTR lock, struct ExAllData* buffer, long int size, long int data, struct ExAllControl* control)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");
	register struct ExAllData* d2 __asm("d2");
	register long int d3 __asm("d3");
	register long int d4 __asm("d4");
	register struct ExAllControl* d5 __asm("d5");

	a6 = BASE_NAME;
	d1 = lock;
	d2 = buffer;
	d3 = size;
	d4 = data;
	d5 = control;
	__asm volatile ("
	jsr a6@(-0x1b0)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3), "g" (d4), "g" (d5)
	: "d0", "d1", "a0", "a1", "d2", "d3", "d4", "d5");
	return res;
}
__inline static LONG ReadLink(BASE_PAR_DECL struct MsgPort* port, BPTR lock, UBYTE* path, UBYTE* buffer, long unsigned int size)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register struct MsgPort* d1 __asm("d1");
	register BPTR d2 __asm("d2");
	register UBYTE* d3 __asm("d3");
	register UBYTE* d4 __asm("d4");
	register long unsigned int d5 __asm("d5");

	a6 = BASE_NAME;
	d1 = port;
	d2 = lock;
	d3 = path;
	d4 = buffer;
	d5 = size;
	__asm volatile ("
	jsr a6@(-0x1b6)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3), "g" (d4), "g" (d5)
	: "d0", "d1", "a0", "a1", "d2", "d3", "d4", "d5");
	return res;
}
__inline static LONG MakeLink(BASE_PAR_DECL UBYTE* name, long int dest, long int soft)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register long int d2 __asm("d2");
	register long int d3 __asm("d3");

	a6 = BASE_NAME;
	d1 = name;
	d2 = dest;
	d3 = soft;
	__asm volatile ("
	jsr a6@(-0x1bc)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	return res;
}
__inline static LONG ChangeMode(BASE_PAR_DECL long int type, BPTR fh, long int newmode)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register long int d1 __asm("d1");
	register BPTR d2 __asm("d2");
	register long int d3 __asm("d3");

	a6 = BASE_NAME;
	d1 = type;
	d2 = fh;
	d3 = newmode;
	__asm volatile ("
	jsr a6@(-0x1c2)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	return res;
}
__inline static LONG SetFileSize(BASE_PAR_DECL BPTR fh, long int pos, long int mode)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");
	register long int d2 __asm("d2");
	register long int d3 __asm("d3");

	a6 = BASE_NAME;
	d1 = fh;
	d2 = pos;
	d3 = mode;
	__asm volatile ("
	jsr a6@(-0x1c8)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	return res;
}
__inline static LONG SetIoErr(BASE_PAR_DECL long int result)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register long int d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = result;
	__asm volatile ("
	jsr a6@(-0x1ce)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static BOOL Fault(BASE_PAR_DECL long int code, UBYTE* header, UBYTE* buffer, long int len)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register long int d1 __asm("d1");
	register UBYTE* d2 __asm("d2");
	register UBYTE* d3 __asm("d3");
	register long int d4 __asm("d4");

	a6 = BASE_NAME;
	d1 = code;
	d2 = header;
	d3 = buffer;
	d4 = len;
	__asm volatile ("
	jsr a6@(-0x1d4)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3), "g" (d4)
	: "d0", "d1", "a0", "a1", "d2", "d3", "d4");
	return res;
}
__inline static BOOL PrintFault(BASE_PAR_DECL long int code, UBYTE* header)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register long int d1 __asm("d1");
	register UBYTE* d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = code;
	d2 = header;
	__asm volatile ("
	jsr a6@(-0x1da)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static LONG ErrorReport(BASE_PAR_DECL long int code, long int type, long unsigned int arg1, struct MsgPort* device)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register long int d1 __asm("d1");
	register long int d2 __asm("d2");
	register long unsigned int d3 __asm("d3");
	register struct MsgPort* d4 __asm("d4");

	a6 = BASE_NAME;
	d1 = code;
	d2 = type;
	d3 = arg1;
	d4 = device;
	__asm volatile ("
	jsr a6@(-0x1e0)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3), "g" (d4)
	: "d0", "d1", "a0", "a1", "d2", "d3", "d4");
	return res;
}
__inline static struct CommandLineInterface* Cli(BASE_PAR_DECL0)
{
	BASE_EXT_DECL
	register struct CommandLineInterface* res __asm("d0");
	register void *a6 __asm ("a6");
	a6 = BASE_NAME;
	__asm volatile ("
	jsr a6@(-0x1ec)"
	: "=g" (res)
	: "g" (a6)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static struct Process* CreateNewProc(BASE_PAR_DECL struct TagItem* tags)
{
	BASE_EXT_DECL
	register struct Process* res __asm("d0");
	register void *a6 __asm ("a6");
	register struct TagItem* d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = tags;
	__asm volatile ("
	jsr a6@(-0x1f2)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static LONG RunCommand(BASE_PAR_DECL BPTR seg, long int stack, UBYTE* paramptr, long int paramlen)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");
	register long int d2 __asm("d2");
	register UBYTE* d3 __asm("d3");
	register long int d4 __asm("d4");

	a6 = BASE_NAME;
	d1 = seg;
	d2 = stack;
	d3 = paramptr;
	d4 = paramlen;
	__asm volatile ("
	jsr a6@(-0x1f8)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3), "g" (d4)
	: "d0", "d1", "a0", "a1", "d2", "d3", "d4");
	return res;
}
__inline static struct MsgPort* GetConsoleTask(BASE_PAR_DECL0)
{
	BASE_EXT_DECL
	register struct MsgPort* res __asm("d0");
	register void *a6 __asm ("a6");
	a6 = BASE_NAME;
	__asm volatile ("
	jsr a6@(-0x1fe)"
	: "=g" (res)
	: "g" (a6)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static struct MsgPort* SetConsoleTask(BASE_PAR_DECL struct MsgPort* task)
{
	BASE_EXT_DECL
	register struct MsgPort* res __asm("d0");
	register void *a6 __asm ("a6");
	register struct MsgPort* d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = task;
	__asm volatile ("
	jsr a6@(-0x204)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static struct MsgPort* GetFileSysTask(BASE_PAR_DECL0)
{
	BASE_EXT_DECL
	register struct MsgPort* res __asm("d0");
	register void *a6 __asm ("a6");
	a6 = BASE_NAME;
	__asm volatile ("
	jsr a6@(-0x20a)"
	: "=g" (res)
	: "g" (a6)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static struct MsgPort* SetFileSysTask(BASE_PAR_DECL struct MsgPort* task)
{
	BASE_EXT_DECL
	register struct MsgPort* res __asm("d0");
	register void *a6 __asm ("a6");
	register struct MsgPort* d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = task;
	__asm volatile ("
	jsr a6@(-0x210)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static UBYTE* GetArgStr(BASE_PAR_DECL0)
{
	BASE_EXT_DECL
	register UBYTE* res __asm("d0");
	register void *a6 __asm ("a6");
	a6 = BASE_NAME;
	__asm volatile ("
	jsr a6@(-0x216)"
	: "=g" (res)
	: "g" (a6)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static BOOL SetArgStr(BASE_PAR_DECL UBYTE* string)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = string;
	__asm volatile ("
	jsr a6@(-0x21c)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static struct Process* FindCliProc(BASE_PAR_DECL long unsigned int num)
{
	BASE_EXT_DECL
	register struct Process* res __asm("d0");
	register void *a6 __asm ("a6");
	register long unsigned int d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = num;
	__asm volatile ("
	jsr a6@(-0x222)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static ULONG MaxCli(BASE_PAR_DECL0)
{
	BASE_EXT_DECL
	register ULONG res __asm("d0");
	register void *a6 __asm ("a6");
	a6 = BASE_NAME;
	__asm volatile ("
	jsr a6@(-0x228)"
	: "=g" (res)
	: "g" (a6)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static BOOL SetCurrentDirName(BASE_PAR_DECL UBYTE* name)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = name;
	__asm volatile ("
	jsr a6@(-0x22e)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static BOOL GetCurrentDirName(BASE_PAR_DECL UBYTE* buf, long int len)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register long int d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = buf;
	d2 = len;
	__asm volatile ("
	jsr a6@(-0x234)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static BOOL SetProgramName(BASE_PAR_DECL UBYTE* name)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = name;
	__asm volatile ("
	jsr a6@(-0x23a)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static BOOL GetProgramName(BASE_PAR_DECL UBYTE* buf, long int len)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register long int d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = buf;
	d2 = len;
	__asm volatile ("
	jsr a6@(-0x240)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static BOOL SetPrompt(BASE_PAR_DECL UBYTE* name)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = name;
	__asm volatile ("
	jsr a6@(-0x246)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static BOOL GetPrompt(BASE_PAR_DECL UBYTE* buf, long int len)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register long int d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = buf;
	d2 = len;
	__asm volatile ("
	jsr a6@(-0x24c)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static BPTR SetProgramDir(BASE_PAR_DECL BPTR lock)
{
	BASE_EXT_DECL
	register BPTR res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = lock;
	__asm volatile ("
	jsr a6@(-0x252)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static BPTR GetProgramDir(BASE_PAR_DECL0)
{
	BASE_EXT_DECL
	register BPTR res __asm("d0");
	register void *a6 __asm ("a6");
	a6 = BASE_NAME;
	__asm volatile ("
	jsr a6@(-0x258)"
	: "=g" (res)
	: "g" (a6)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static LONG SystemTagList(BASE_PAR_DECL UBYTE* command, struct TagItem* tags)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register struct TagItem* d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = command;
	d2 = tags;
	__asm volatile ("
	jsr a6@(-0x25e)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static LONG AssignLock(BASE_PAR_DECL UBYTE* name, BPTR lock)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register BPTR d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = name;
	d2 = lock;
	__asm volatile ("
	jsr a6@(-0x264)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static BOOL AssignLate(BASE_PAR_DECL UBYTE* name, UBYTE* path)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register UBYTE* d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = name;
	d2 = path;
	__asm volatile ("
	jsr a6@(-0x26a)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static BOOL AssignPath(BASE_PAR_DECL UBYTE* name, UBYTE* path)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register UBYTE* d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = name;
	d2 = path;
	__asm volatile ("
	jsr a6@(-0x270)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static BOOL AssignAdd(BASE_PAR_DECL UBYTE* name, BPTR lock)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register BPTR d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = name;
	d2 = lock;
	__asm volatile ("
	jsr a6@(-0x276)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static LONG RemAssignList(BASE_PAR_DECL UBYTE* name, BPTR lock)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register BPTR d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = name;
	d2 = lock;
	__asm volatile ("
	jsr a6@(-0x27c)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static struct DevProc* GetDeviceProc(BASE_PAR_DECL UBYTE* name, struct DevProc* dp)
{
	BASE_EXT_DECL
	register struct DevProc* res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register struct DevProc* d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = name;
	d2 = dp;
	__asm volatile ("
	jsr a6@(-0x282)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static void FreeDeviceProc(BASE_PAR_DECL struct DevProc* dp)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct DevProc* d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = dp;
	__asm volatile ("
	jsr a6@(-0x288)"
	: /* no output */
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
}
__inline static struct DosList* LockDosList(BASE_PAR_DECL long unsigned int flags)
{
	BASE_EXT_DECL
	register struct DosList* res __asm("d0");
	register void *a6 __asm ("a6");
	register long unsigned int d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = flags;
	__asm volatile ("
	jsr a6@(-0x28e)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void UnLockDosList(BASE_PAR_DECL long unsigned int flags)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register long unsigned int d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = flags;
	__asm volatile ("
	jsr a6@(-0x294)"
	: /* no output */
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
}
__inline static struct DosList* AttemptLockDosList(BASE_PAR_DECL long unsigned int flags)
{
	BASE_EXT_DECL
	register struct DosList* res __asm("d0");
	register void *a6 __asm ("a6");
	register long unsigned int d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = flags;
	__asm volatile ("
	jsr a6@(-0x29a)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static BOOL RemDosEntry(BASE_PAR_DECL struct DosList* dlist)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register struct DosList* d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = dlist;
	__asm volatile ("
	jsr a6@(-0x2a0)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static struct DosList* AddDosEntry(BASE_PAR_DECL struct DosList* dlist)
{
	BASE_EXT_DECL
	register struct DosList* res __asm("d0");
	register void *a6 __asm ("a6");
	register struct DosList* d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = dlist;
	__asm volatile ("
	jsr a6@(-0x2a6)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static struct DosList* FindDosEntry(BASE_PAR_DECL struct DosList* dlist, UBYTE* name, long unsigned int flags)
{
	BASE_EXT_DECL
	register struct DosList* res __asm("d0");
	register void *a6 __asm ("a6");
	register struct DosList* d1 __asm("d1");
	register UBYTE* d2 __asm("d2");
	register long unsigned int d3 __asm("d3");

	a6 = BASE_NAME;
	d1 = dlist;
	d2 = name;
	d3 = flags;
	__asm volatile ("
	jsr a6@(-0x2ac)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	return res;
}
__inline static struct DosList* NextDosEntry(BASE_PAR_DECL struct DosList* dlist, long unsigned int flags)
{
	BASE_EXT_DECL
	register struct DosList* res __asm("d0");
	register void *a6 __asm ("a6");
	register struct DosList* d1 __asm("d1");
	register long unsigned int d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = dlist;
	d2 = flags;
	__asm volatile ("
	jsr a6@(-0x2b2)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static struct DosList* MakeDosEntry(BASE_PAR_DECL UBYTE* name, long int type)
{
	BASE_EXT_DECL
	register struct DosList* res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register long int d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = name;
	d2 = type;
	__asm volatile ("
	jsr a6@(-0x2b8)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static void FreeDosEntry(BASE_PAR_DECL struct DosList* dlist)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct DosList* d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = dlist;
	__asm volatile ("
	jsr a6@(-0x2be)"
	: /* no output */
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
}
__inline static BOOL IsFileSystem(BASE_PAR_DECL UBYTE* name)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = name;
	__asm volatile ("
	jsr a6@(-0x2c4)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static BOOL Format(BASE_PAR_DECL UBYTE* filesystem, UBYTE* volumename, long unsigned int dostype)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register UBYTE* d2 __asm("d2");
	register long unsigned int d3 __asm("d3");

	a6 = BASE_NAME;
	d1 = filesystem;
	d2 = volumename;
	d3 = dostype;
	__asm volatile ("
	jsr a6@(-0x2ca)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	return res;
}
__inline static LONG Relabel(BASE_PAR_DECL UBYTE* drive, UBYTE* newname)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register UBYTE* d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = drive;
	d2 = newname;
	__asm volatile ("
	jsr a6@(-0x2d0)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static LONG Inhibit(BASE_PAR_DECL UBYTE* name, long int onoff)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register long int d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = name;
	d2 = onoff;
	__asm volatile ("
	jsr a6@(-0x2d6)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static LONG AddBuffers(BASE_PAR_DECL UBYTE* name, long int number)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register long int d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = name;
	d2 = number;
	__asm volatile ("
	jsr a6@(-0x2dc)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static LONG CompareDates(BASE_PAR_DECL struct DateStamp* date1, struct DateStamp* date2)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register struct DateStamp* d1 __asm("d1");
	register struct DateStamp* d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = date1;
	d2 = date2;
	__asm volatile ("
	jsr a6@(-0x2e2)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static LONG DateToStr(BASE_PAR_DECL struct DateTime* datetime)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register struct DateTime* d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = datetime;
	__asm volatile ("
	jsr a6@(-0x2e8)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static LONG StrToDate(BASE_PAR_DECL struct DateTime* datetime)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register struct DateTime* d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = datetime;
	__asm volatile ("
	jsr a6@(-0x2ee)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static BPTR InternalLoadSeg(BASE_PAR_DECL BPTR fh, BPTR table, LONG* funcarray, LONG* stack)
{
	BASE_EXT_DECL
	register BPTR res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d0 __asm("d0");
	register BPTR a0 __asm("a0");
	register LONG* a1 __asm("a1");
	register LONG* a2 __asm("a2");

	a6 = BASE_NAME;
	d0 = fh;
	a0 = table;
	a1 = funcarray;
	a2 = stack;
	__asm volatile ("
	jsr a6@(-0x2f4)"
	: "=g" (res)
	: "g" (a6), "g" (d0), "g" (a0), "g" (a1), "g" (a2)
	: "d0", "d1", "a0", "a1", "a2");
	return res;
}
__inline static void InternalUnLoadSeg(BASE_PAR_DECL BPTR seglist, void (*freefunc)())
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");
	register void (*a1)() __asm("a1");

	a6 = BASE_NAME;
	d1 = seglist;
	a1 = freefunc;
	__asm volatile ("
	jsr a6@(-0x2fa)"
	: /* no output */
	: "g" (a6), "g" (d1), "g" (a1)
	: "d0", "d1", "a0", "a1");
}
__inline static BPTR NewLoadSeg(BASE_PAR_DECL UBYTE* file, struct TagItem* tags)
{
	BASE_EXT_DECL
	register BPTR res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register struct TagItem* d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = file;
	d2 = tags;
	__asm volatile ("
	jsr a6@(-0x300)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static LONG AddSegment(BASE_PAR_DECL UBYTE* name, BPTR seg, long int system)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register BPTR d2 __asm("d2");
	register long int d3 __asm("d3");

	a6 = BASE_NAME;
	d1 = name;
	d2 = seg;
	d3 = system;
	__asm volatile ("
	jsr a6@(-0x306)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	return res;
}
__inline static struct Segment* FindSegment(BASE_PAR_DECL UBYTE* name, struct Segment* seg, long int system)
{
	BASE_EXT_DECL
	register struct Segment* res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register struct Segment* d2 __asm("d2");
	register long int d3 __asm("d3");

	a6 = BASE_NAME;
	d1 = name;
	d2 = seg;
	d3 = system;
	__asm volatile ("
	jsr a6@(-0x30c)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	return res;
}
__inline static LONG RemSegment(BASE_PAR_DECL struct Segment* seg)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Segment* d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = seg;
	__asm volatile ("
	jsr a6@(-0x312)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static LONG CheckSignal(BASE_PAR_DECL long int mask)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register long int d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = mask;
	__asm volatile ("
	jsr a6@(-0x318)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static struct RDArgs* ReadArgs(BASE_PAR_DECL UBYTE* template, LONG* array, struct RDArgs* args)
{
	BASE_EXT_DECL
	register struct RDArgs* res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register LONG* d2 __asm("d2");
	register struct RDArgs* d3 __asm("d3");

	a6 = BASE_NAME;
	d1 = template;
	d2 = array;
	d3 = args;
	__asm volatile ("
	jsr a6@(-0x31e)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	return res;
}
__inline static LONG FindArg(BASE_PAR_DECL UBYTE* keyword, UBYTE* template)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register UBYTE* d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = keyword;
	d2 = template;
	__asm volatile ("
	jsr a6@(-0x324)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static LONG ReadItem(BASE_PAR_DECL UBYTE* name, long int maxchars, struct CSource* cSource)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register long int d2 __asm("d2");
	register struct CSource* d3 __asm("d3");

	a6 = BASE_NAME;
	d1 = name;
	d2 = maxchars;
	d3 = cSource;
	__asm volatile ("
	jsr a6@(-0x32a)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	return res;
}
__inline static LONG StrToLong(BASE_PAR_DECL UBYTE* string, LONG* value)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register LONG* d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = string;
	d2 = value;
	__asm volatile ("
	jsr a6@(-0x330)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static LONG MatchFirst(BASE_PAR_DECL UBYTE* pat, struct AnchorPath* anchor)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register struct AnchorPath* d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = pat;
	d2 = anchor;
	__asm volatile ("
	jsr a6@(-0x336)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static LONG MatchNext(BASE_PAR_DECL struct AnchorPath* anchor)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register struct AnchorPath* d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = anchor;
	__asm volatile ("
	jsr a6@(-0x33c)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void MatchEnd(BASE_PAR_DECL struct AnchorPath* anchor)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct AnchorPath* d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = anchor;
	__asm volatile ("
	jsr a6@(-0x342)"
	: /* no output */
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
}
__inline static BOOL ParsePattern(BASE_PAR_DECL UBYTE* pat, UBYTE* buf, long int buflen)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register UBYTE* d2 __asm("d2");
	register long int d3 __asm("d3");

	a6 = BASE_NAME;
	d1 = pat;
	d2 = buf;
	d3 = buflen;
	__asm volatile ("
	jsr a6@(-0x348)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	return res;
}
__inline static BOOL MatchPattern(BASE_PAR_DECL UBYTE* pat, UBYTE* str)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register UBYTE* d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = pat;
	d2 = str;
	__asm volatile ("
	jsr a6@(-0x34e)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
#ifdef PRIVATE
#endif
__inline static void FreeArgs(BASE_PAR_DECL struct RDArgs* args)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct RDArgs* d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = args;
	__asm volatile ("
	jsr a6@(-0x35a)"
	: /* no output */
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
}
__inline static UBYTE* FilePart(BASE_PAR_DECL UBYTE* path)
{
	BASE_EXT_DECL
	register UBYTE* res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = path;
	__asm volatile ("
	jsr a6@(-0x366)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static UBYTE* PathPart(BASE_PAR_DECL UBYTE* path)
{
	BASE_EXT_DECL
	register UBYTE* res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = path;
	__asm volatile ("
	jsr a6@(-0x36c)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static BOOL AddPart(BASE_PAR_DECL UBYTE* dirname, UBYTE* filename, long unsigned int size)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register UBYTE* d2 __asm("d2");
	register long unsigned int d3 __asm("d3");

	a6 = BASE_NAME;
	d1 = dirname;
	d2 = filename;
	d3 = size;
	__asm volatile ("
	jsr a6@(-0x372)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	return res;
}
__inline static BOOL StartNotify(BASE_PAR_DECL struct NotifyRequest* notify)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register struct NotifyRequest* d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = notify;
	__asm volatile ("
	jsr a6@(-0x378)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void EndNotify(BASE_PAR_DECL struct NotifyRequest* notify)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct NotifyRequest* d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = notify;
	__asm volatile ("
	jsr a6@(-0x37e)"
	: /* no output */
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
}
__inline static BOOL SetVar(BASE_PAR_DECL UBYTE* name, UBYTE* buffer, long int size, long int flags)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register UBYTE* d2 __asm("d2");
	register long int d3 __asm("d3");
	register long int d4 __asm("d4");

	a6 = BASE_NAME;
	d1 = name;
	d2 = buffer;
	d3 = size;
	d4 = flags;
	__asm volatile ("
	jsr a6@(-0x384)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3), "g" (d4)
	: "d0", "d1", "a0", "a1", "d2", "d3", "d4");
	return res;
}
__inline static LONG GetVar(BASE_PAR_DECL UBYTE* name, UBYTE* buffer, long int size, long int flags)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register UBYTE* d2 __asm("d2");
	register long int d3 __asm("d3");
	register long int d4 __asm("d4");

	a6 = BASE_NAME;
	d1 = name;
	d2 = buffer;
	d3 = size;
	d4 = flags;
	__asm volatile ("
	jsr a6@(-0x38a)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3), "g" (d4)
	: "d0", "d1", "a0", "a1", "d2", "d3", "d4");
	return res;
}
__inline static LONG DeleteVar(BASE_PAR_DECL UBYTE* name, long unsigned int flags)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register long unsigned int d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = name;
	d2 = flags;
	__asm volatile ("
	jsr a6@(-0x390)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static struct LocalVar* FindVar(BASE_PAR_DECL UBYTE* name, long unsigned int type)
{
	BASE_EXT_DECL
	register struct LocalVar* res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register long unsigned int d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = name;
	d2 = type;
	__asm volatile ("
	jsr a6@(-0x396)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static LONG CliInit(BASE_PAR_DECL struct DosPacket* dp)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register struct DosPacket* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = dp;
	__asm volatile ("
	jsr a6@(-0x39c)"
	: "=g" (res)
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static LONG CliInitNewcli(BASE_PAR_DECL struct DosPacket* dp)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register struct DosPacket* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = dp;
	__asm volatile ("
	jsr a6@(-0x3a2)"
	: "=g" (res)
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static LONG CliInitRun(BASE_PAR_DECL struct DosPacket* dp)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register struct DosPacket* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = dp;
	__asm volatile ("
	jsr a6@(-0x3a8)"
	: "=g" (res)
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static LONG WriteChars(BASE_PAR_DECL UBYTE* buf, long unsigned int buflen)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register long unsigned int d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = buf;
	d2 = buflen;
	__asm volatile ("
	jsr a6@(-0x3ae)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static LONG PutStr(BASE_PAR_DECL UBYTE* str)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");

	a6 = BASE_NAME;
	d1 = str;
	__asm volatile ("
	jsr a6@(-0x3b4)"
	: "=g" (res)
	: "g" (a6), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static LONG VPrintf(BASE_PAR_DECL UBYTE* format, LONG* argarray)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register LONG* d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = format;
	d2 = argarray;
	__asm volatile ("
	jsr a6@(-0x3ba)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
__inline static BOOL ParsePatternNoCase(BASE_PAR_DECL UBYTE* pat, UBYTE* buf, long int buflen)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register UBYTE* d2 __asm("d2");
	register long int d3 __asm("d3");

	a6 = BASE_NAME;
	d1 = pat;
	d2 = buf;
	d3 = buflen;
	__asm volatile ("
	jsr a6@(-0x3c6)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2), "g" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	return res;
}
__inline static BOOL MatchPatternNoCase(BASE_PAR_DECL UBYTE* pat, UBYTE* str)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* d1 __asm("d1");
	register UBYTE* d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = pat;
	d2 = str;
	__asm volatile ("
	jsr a6@(-0x3cc)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
#ifdef PRIVATE
#endif
__inline static BOOL SameDevice(BASE_PAR_DECL BPTR lock1, BPTR lock2)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register BPTR d1 __asm("d1");
	register BPTR d2 __asm("d2");

	a6 = BASE_NAME;
	d1 = lock1;
	d2 = lock2;
	__asm volatile ("
	jsr a6@(-0x3d8)"
	: "=g" (res)
	: "g" (a6), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "d2");
	return res;
}
#undef BASE_EXT_DECL
#undef BASE_PAR_DECL
#undef BASE_PAR_DECL0
#undef BASE_NAME
