#include <inline/stub.h>
#ifndef BASE_EXT_DECL
#define BASE_EXT_DECL extern struct Library * GadToolsBase;
#endif
#ifndef BASE_PAR_DECL
#define BASE_PAR_DECL
#define BASE_PAR_DECL0 void
#endif
#ifndef BASE_NAME
#define BASE_NAME GadToolsBase
#endif
__inline static struct Gadget* CreateGadgetA(BASE_PAR_DECL long unsigned int kind, struct Gadget* gad, struct NewGadget* ng, struct TagItem* taglist)
{
	BASE_EXT_DECL
	register struct Gadget* res __asm("d0");
	register void *a6 __asm ("a6");
	register long unsigned int d0 __asm("d0");
	register struct Gadget* a0 __asm("a0");
	register struct NewGadget* a1 __asm("a1");
	register struct TagItem* a2 __asm("a2");

	a6 = BASE_NAME;
	d0 = kind;
	a0 = gad;
	a1 = ng;
	a2 = taglist;
	__asm volatile ("
	jsr a6@(-0x1e)"
	: "=g" (res)
	: "g" (a6), "g" (d0), "g" (a0), "g" (a1), "g" (a2)
	: "d0", "d1", "a0", "a1", "a2");
	return res;
}
__inline static void FreeGadgets(BASE_PAR_DECL struct Gadget* gad)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Gadget* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = gad;
	__asm volatile ("
	jsr a6@(-0x24)"
	: /* no output */
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
}
__inline static void GT_SetGadgetAttrsA(BASE_PAR_DECL struct Gadget* gad, struct Window* win, struct Requester* req, struct TagItem* taglist)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Gadget* a0 __asm("a0");
	register struct Window* a1 __asm("a1");
	register struct Requester* a2 __asm("a2");
	register struct TagItem* a3 __asm("a3");

	a6 = BASE_NAME;
	a0 = gad;
	a1 = win;
	a2 = req;
	a3 = taglist;
	__asm volatile ("
	jsr a6@(-0x2a)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (a1), "g" (a2), "g" (a3)
	: "d0", "d1", "a0", "a1", "a2", "a3");
}
__inline static struct Menu* CreateMenusA(BASE_PAR_DECL struct NewMenu* newmenu, struct TagItem* taglist)
{
	BASE_EXT_DECL
	register struct Menu* res __asm("d0");
	register void *a6 __asm ("a6");
	register struct NewMenu* a0 __asm("a0");
	register struct TagItem* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = newmenu;
	a1 = taglist;
	__asm volatile ("
	jsr a6@(-0x30)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void FreeMenus(BASE_PAR_DECL struct Menu* menu)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Menu* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = menu;
	__asm volatile ("
	jsr a6@(-0x36)"
	: /* no output */
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
}
__inline static BOOL LayoutMenuItemsA(BASE_PAR_DECL struct MenuItem* firstitem, APTR vi, struct TagItem* taglist)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register struct MenuItem* a0 __asm("a0");
	register APTR a1 __asm("a1");
	register struct TagItem* a2 __asm("a2");

	a6 = BASE_NAME;
	a0 = firstitem;
	a1 = vi;
	a2 = taglist;
	__asm volatile ("
	jsr a6@(-0x3c)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1), "g" (a2)
	: "d0", "d1", "a0", "a1", "a2");
	return res;
}
__inline static BOOL LayoutMenusA(BASE_PAR_DECL struct Menu* firstmenu, APTR vi, struct TagItem* taglist)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Menu* a0 __asm("a0");
	register APTR a1 __asm("a1");
	register struct TagItem* a2 __asm("a2");

	a6 = BASE_NAME;
	a0 = firstmenu;
	a1 = vi;
	a2 = taglist;
	__asm volatile ("
	jsr a6@(-0x42)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1), "g" (a2)
	: "d0", "d1", "a0", "a1", "a2");
	return res;
}
__inline static struct IntuiMessage* GT_GetIMsg(BASE_PAR_DECL struct MsgPort* iport)
{
	BASE_EXT_DECL
	register struct IntuiMessage* res __asm("d0");
	register void *a6 __asm ("a6");
	register struct MsgPort* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = iport;
	__asm volatile ("
	jsr a6@(-0x48)"
	: "=g" (res)
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void GT_ReplyIMsg(BASE_PAR_DECL struct IntuiMessage* imsg)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct IntuiMessage* a1 __asm("a1");

	a6 = BASE_NAME;
	a1 = imsg;
	__asm volatile ("
	jsr a6@(-0x4e)"
	: /* no output */
	: "g" (a6), "g" (a1)
	: "d0", "d1", "a0", "a1");
}
__inline static void GT_RefreshWindow(BASE_PAR_DECL struct Window* win, struct Requester* req)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");
	register struct Requester* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = win;
	a1 = req;
	__asm volatile ("
	jsr a6@(-0x54)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (a1)
	: "d0", "d1", "a0", "a1");
}
__inline static void GT_BeginRefresh(BASE_PAR_DECL struct Window* win)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = win;
	__asm volatile ("
	jsr a6@(-0x5a)"
	: /* no output */
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
}
__inline static void GT_EndRefresh(BASE_PAR_DECL struct Window* win, long int complete)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");
	register long int d0 __asm("d0");

	a6 = BASE_NAME;
	a0 = win;
	d0 = complete;
	__asm volatile ("
	jsr a6@(-0x60)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (d0)
	: "d0", "d1", "a0", "a1");
}
__inline static struct IntuiMessage* GT_FilterIMsg(BASE_PAR_DECL struct IntuiMessage* imsg)
{
	BASE_EXT_DECL
	register struct IntuiMessage* res __asm("d0");
	register void *a6 __asm ("a6");
	register struct IntuiMessage* a1 __asm("a1");

	a6 = BASE_NAME;
	a1 = imsg;
	__asm volatile ("
	jsr a6@(-0x66)"
	: "=g" (res)
	: "g" (a6), "g" (a1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static struct IntuiMessage* GT_PostFilterIMsg(BASE_PAR_DECL struct IntuiMessage* imsg)
{
	BASE_EXT_DECL
	register struct IntuiMessage* res __asm("d0");
	register void *a6 __asm ("a6");
	register struct IntuiMessage* a1 __asm("a1");

	a6 = BASE_NAME;
	a1 = imsg;
	__asm volatile ("
	jsr a6@(-0x6c)"
	: "=g" (res)
	: "g" (a6), "g" (a1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static struct Gadget* CreateContext(BASE_PAR_DECL struct Gadget** glistptr)
{
	BASE_EXT_DECL
	register struct Gadget* res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Gadget** a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = glistptr;
	__asm volatile ("
	jsr a6@(-0x72)"
	: "=g" (res)
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void DrawBevelBoxA(BASE_PAR_DECL struct RastPort* rport, long int left, long int top, long int width, long int height, struct TagItem* taglist)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct RastPort* a0 __asm("a0");
	register long int d0 __asm("d0");
	register long int d1 __asm("d1");
	register long int d2 __asm("d2");
	register long int d3 __asm("d3");
	register struct TagItem* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = rport;
	d0 = left;
	d1 = top;
	d2 = width;
	d3 = height;
	a1 = taglist;
	__asm volatile ("
	jsr a6@(-0x78)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (d0), "g" (d1), "g" (d2), "g" (d3), "g" (a1)
	: "d0", "d1", "a0", "a1", "d2", "d3");
}
__inline static APTR GetVisualInfoA(BASE_PAR_DECL struct Screen* screen, struct TagItem* taglist)
{
	BASE_EXT_DECL
	register APTR res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Screen* a0 __asm("a0");
	register struct TagItem* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = screen;
	a1 = taglist;
	__asm volatile ("
	jsr a6@(-0x7e)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void FreeVisualInfo(BASE_PAR_DECL APTR vi)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register APTR a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = vi;
	__asm volatile ("
	jsr a6@(-0x84)"
	: /* no output */
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
}
#undef BASE_EXT_DECL
#undef BASE_PAR_DECL
#undef BASE_PAR_DECL0
#undef BASE_NAME
