#include <inline/stub.h>
#ifndef BASE_EXT_DECL
#define BASE_EXT_DECL extern struct Library * IconBase;
#endif
#ifndef BASE_PAR_DECL
#define BASE_PAR_DECL
#define BASE_PAR_DECL0 void
#endif
#ifndef BASE_NAME
#define BASE_NAME IconBase
#endif
#ifdef PRIVATE
#endif
__inline static LONG GetIcon(BASE_PAR_DECL UBYTE* name, struct DiskObject* icon, struct FreeList* freelist)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* a0 __asm("a0");
	register struct DiskObject* a1 __asm("a1");
	register struct FreeList* a2 __asm("a2");

	a6 = BASE_NAME;
	a0 = name;
	a1 = icon;
	a2 = freelist;
	__asm volatile ("
	jsr a6@(-0x2a)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1), "g" (a2)
	: "d0", "d1", "a0", "a1", "a2");
	return res;
}
__inline static BOOL PutIcon(BASE_PAR_DECL UBYTE* name, struct DiskObject* icon)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* a0 __asm("a0");
	register struct DiskObject* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = name;
	a1 = icon;
	__asm volatile ("
	jsr a6@(-0x30)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void FreeFreeList(BASE_PAR_DECL struct FreeList* freelist)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct FreeList* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = freelist;
	__asm volatile ("
	jsr a6@(-0x36)"
	: /* no output */
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
}
#ifdef PRIVATE
#endif
__inline static BOOL AddFreeList(BASE_PAR_DECL struct FreeList* freelist, APTR mem, long unsigned int size)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register struct FreeList* a0 __asm("a0");
	register APTR a1 __asm("a1");
	register long unsigned int a2 __asm("a2");

	a6 = BASE_NAME;
	a0 = freelist;
	a1 = mem;
	a2 = size;
	__asm volatile ("
	jsr a6@(-0x48)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1), "g" (a2)
	: "d0", "d1", "a0", "a1", "a2");
	return res;
}
__inline static struct DiskObject* GetDiskObject(BASE_PAR_DECL UBYTE* name)
{
	BASE_EXT_DECL
	register struct DiskObject* res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = name;
	__asm volatile ("
	jsr a6@(-0x4e)"
	: "=g" (res)
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static BOOL PutDiskObject(BASE_PAR_DECL UBYTE* name, struct DiskObject* diskobj)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* a0 __asm("a0");
	register struct DiskObject* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = name;
	a1 = diskobj;
	__asm volatile ("
	jsr a6@(-0x54)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void FreeDiskObject(BASE_PAR_DECL struct DiskObject* diskobj)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct DiskObject* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = diskobj;
	__asm volatile ("
	jsr a6@(-0x5a)"
	: /* no output */
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
}
__inline static UBYTE* FindToolType(BASE_PAR_DECL UBYTE** toolTypeArray, UBYTE* typeName)
{
	BASE_EXT_DECL
	register UBYTE* res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE** a0 __asm("a0");
	register UBYTE* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = toolTypeArray;
	a1 = typeName;
	__asm volatile ("
	jsr a6@(-0x60)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static BOOL MatchToolValue(BASE_PAR_DECL UBYTE* typeString, UBYTE* value)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* a0 __asm("a0");
	register UBYTE* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = typeString;
	a1 = value;
	__asm volatile ("
	jsr a6@(-0x66)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static UBYTE* BumpRevision(BASE_PAR_DECL UBYTE* newname, UBYTE* oldname)
{
	BASE_EXT_DECL
	register UBYTE* res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* a0 __asm("a0");
	register UBYTE* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = newname;
	a1 = oldname;
	__asm volatile ("
	jsr a6@(-0x6c)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1)
	: "d0", "d1", "a0", "a1");
	return res;
}
#ifdef PRIVATE
#endif
__inline static struct DiskObject* GetDefDiskObject(BASE_PAR_DECL long int type)
{
	BASE_EXT_DECL
	register struct DiskObject* res __asm("d0");
	register void *a6 __asm ("a6");
	register long int d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = type;
	__asm volatile ("
	jsr a6@(-0x78)"
	: "=g" (res)
	: "g" (a6), "g" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static BOOL PutDefDiskObject(BASE_PAR_DECL struct DiskObject* diskObject)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register struct DiskObject* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = diskObject;
	__asm volatile ("
	jsr a6@(-0x7e)"
	: "=g" (res)
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static struct DiskObject* GetDiskObjectNew(BASE_PAR_DECL UBYTE* name)
{
	BASE_EXT_DECL
	register struct DiskObject* res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = name;
	__asm volatile ("
	jsr a6@(-0x84)"
	: "=g" (res)
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static BOOL DeleteDiskObject(BASE_PAR_DECL UBYTE* name)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = name;
	__asm volatile ("
	jsr a6@(-0x8a)"
	: "=g" (res)
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
#undef BASE_EXT_DECL
#undef BASE_PAR_DECL
#undef BASE_PAR_DECL0
#undef BASE_NAME
