#include <inline/stub.h>
#ifndef BASE_EXT_DECL
#define BASE_EXT_DECL extern struct IntuitionBase * IntuitionBase;
#endif
#ifndef BASE_PAR_DECL
#define BASE_PAR_DECL
#define BASE_PAR_DECL0 void
#endif
#ifndef BASE_NAME
#define BASE_NAME IntuitionBase
#endif
__inline static void OpenIntuition(BASE_PAR_DECL0)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	a6 = BASE_NAME;
	__asm volatile ("
	jsr a6@(-0x1e)"
	: /* no output */
	: "g" (a6)
	: "d0", "d1", "a0", "a1");
}
__inline static void Intuition(BASE_PAR_DECL struct InputEvent* iEvent)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct InputEvent* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = iEvent;
	__asm volatile ("
	jsr a6@(-0x24)"
	: /* no output */
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
}
__inline static UWORD AddGadget(BASE_PAR_DECL struct Window* window, struct Gadget* gadget, long unsigned int position)
{
	BASE_EXT_DECL
	register UWORD res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");
	register struct Gadget* a1 __asm("a1");
	register long unsigned int d0 __asm("d0");

	a6 = BASE_NAME;
	a0 = window;
	a1 = gadget;
	d0 = position;
	__asm volatile ("
	jsr a6@(-0x2a)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1), "g" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static BOOL ClearDMRequest(BASE_PAR_DECL struct Window* window)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = window;
	__asm volatile ("
	jsr a6@(-0x30)"
	: "=g" (res)
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void ClearMenuStrip(BASE_PAR_DECL struct Window* window)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = window;
	__asm volatile ("
	jsr a6@(-0x36)"
	: /* no output */
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
}
__inline static void ClearPointer(BASE_PAR_DECL struct Window* window)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = window;
	__asm volatile ("
	jsr a6@(-0x3c)"
	: /* no output */
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
}
__inline static BOOL CloseScreen(BASE_PAR_DECL struct Screen* screen)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Screen* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = screen;
	__asm volatile ("
	jsr a6@(-0x42)"
	: "=g" (res)
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void CloseWindow(BASE_PAR_DECL struct Window* window)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = window;
	__asm volatile ("
	jsr a6@(-0x48)"
	: /* no output */
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
}
__inline static LONG CloseWorkBench(BASE_PAR_DECL0)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	a6 = BASE_NAME;
	__asm volatile ("
	jsr a6@(-0x4e)"
	: "=g" (res)
	: "g" (a6)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void CurrentTime(BASE_PAR_DECL ULONG* seconds, ULONG* micros)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register ULONG* a0 __asm("a0");
	register ULONG* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = seconds;
	a1 = micros;
	__asm volatile ("
	jsr a6@(-0x54)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (a1)
	: "d0", "d1", "a0", "a1");
}
__inline static BOOL DisplayAlert(BASE_PAR_DECL long unsigned int alertNumber, UBYTE* string, long unsigned int height)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register long unsigned int d0 __asm("d0");
	register UBYTE* a0 __asm("a0");
	register long unsigned int d1 __asm("d1");

	a6 = BASE_NAME;
	d0 = alertNumber;
	a0 = string;
	d1 = height;
	__asm volatile ("
	jsr a6@(-0x5a)"
	: "=g" (res)
	: "g" (a6), "g" (d0), "g" (a0), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void DisplayBeep(BASE_PAR_DECL struct Screen* screen)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Screen* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = screen;
	__asm volatile ("
	jsr a6@(-0x60)"
	: /* no output */
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
}
__inline static BOOL DoubleClick(BASE_PAR_DECL long unsigned int sSeconds, long unsigned int sMicros, long unsigned int cSeconds, long unsigned int cMicros)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register long unsigned int d0 __asm("d0");
	register long unsigned int d1 __asm("d1");
	register long unsigned int d2 __asm("d2");
	register long unsigned int d3 __asm("d3");

	a6 = BASE_NAME;
	d0 = sSeconds;
	d1 = sMicros;
	d2 = cSeconds;
	d3 = cMicros;
	__asm volatile ("
	jsr a6@(-0x66)"
	: "=g" (res)
	: "g" (a6), "g" (d0), "g" (d1), "g" (d2), "g" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	return res;
}
__inline static void DrawBorder(BASE_PAR_DECL struct RastPort* rp, struct Border* border, long int leftOffset, long int topOffset)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct RastPort* a0 __asm("a0");
	register struct Border* a1 __asm("a1");
	register long int d0 __asm("d0");
	register long int d1 __asm("d1");

	a6 = BASE_NAME;
	a0 = rp;
	a1 = border;
	d0 = leftOffset;
	d1 = topOffset;
	__asm volatile ("
	jsr a6@(-0x6c)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (a1), "g" (d0), "g" (d1)
	: "d0", "d1", "a0", "a1");
}
__inline static void DrawImage(BASE_PAR_DECL struct RastPort* rp, struct Image* image, long int leftOffset, long int topOffset)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct RastPort* a0 __asm("a0");
	register struct Image* a1 __asm("a1");
	register long int d0 __asm("d0");
	register long int d1 __asm("d1");

	a6 = BASE_NAME;
	a0 = rp;
	a1 = image;
	d0 = leftOffset;
	d1 = topOffset;
	__asm volatile ("
	jsr a6@(-0x72)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (a1), "g" (d0), "g" (d1)
	: "d0", "d1", "a0", "a1");
}
__inline static void EndRequest(BASE_PAR_DECL struct Requester* requester, struct Window* window)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Requester* a0 __asm("a0");
	register struct Window* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = requester;
	a1 = window;
	__asm volatile ("
	jsr a6@(-0x78)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (a1)
	: "d0", "d1", "a0", "a1");
}
__inline static struct Preferences* GetDefPrefs(BASE_PAR_DECL struct Preferences* preferences, long int size)
{
	BASE_EXT_DECL
	register struct Preferences* res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Preferences* a0 __asm("a0");
	register long int d0 __asm("d0");

	a6 = BASE_NAME;
	a0 = preferences;
	d0 = size;
	__asm volatile ("
	jsr a6@(-0x7e)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static struct Preferences* GetPrefs(BASE_PAR_DECL struct Preferences* preferences, long int size)
{
	BASE_EXT_DECL
	register struct Preferences* res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Preferences* a0 __asm("a0");
	register long int d0 __asm("d0");

	a6 = BASE_NAME;
	a0 = preferences;
	d0 = size;
	__asm volatile ("
	jsr a6@(-0x84)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void InitRequester(BASE_PAR_DECL struct Requester* requester)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Requester* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = requester;
	__asm volatile ("
	jsr a6@(-0x8a)"
	: /* no output */
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
}
__inline static struct MenuItem* ItemAddress(BASE_PAR_DECL struct Menu* menuStrip, long unsigned int menuNumber)
{
	BASE_EXT_DECL
	register struct MenuItem* res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Menu* a0 __asm("a0");
	register long unsigned int d0 __asm("d0");

	a6 = BASE_NAME;
	a0 = menuStrip;
	d0 = menuNumber;
	__asm volatile ("
	jsr a6@(-0x90)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static BOOL ModifyIDCMP(BASE_PAR_DECL struct Window* window, long unsigned int flags)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");
	register long unsigned int d0 __asm("d0");

	a6 = BASE_NAME;
	a0 = window;
	d0 = flags;
	__asm volatile ("
	jsr a6@(-0x96)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void ModifyProp(BASE_PAR_DECL struct Gadget* gadget, struct Window* window, struct Requester* requester, long unsigned int flags, long unsigned int horizPot, long unsigned int vertPot, long unsigned int horizBody, long unsigned int vertBody)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Gadget* a0 __asm("a0");
	register struct Window* a1 __asm("a1");
	register struct Requester* a2 __asm("a2");
	register long unsigned int d0 __asm("d0");
	register long unsigned int d1 __asm("d1");
	register long unsigned int d2 __asm("d2");
	register long unsigned int d3 __asm("d3");
	register long unsigned int d4 __asm("d4");

	a6 = BASE_NAME;
	a0 = gadget;
	a1 = window;
	a2 = requester;
	d0 = flags;
	d1 = horizPot;
	d2 = vertPot;
	d3 = horizBody;
	d4 = vertBody;
	__asm volatile ("" : /* no input */
	: "g" (a0));
	__asm volatile ("
	jsr a6@(-0x9c)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (a1), "g" (a2), "g" (d0), "g" (d1), "g" (d2), "g" (d3)
	: "d0", "d1", "a0", "a1", "a2", "d2", "d3", "d4");
}
__inline static void MoveScreen(BASE_PAR_DECL struct Screen* screen, long int dx, long int dy)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Screen* a0 __asm("a0");
	register long int d0 __asm("d0");
	register long int d1 __asm("d1");

	a6 = BASE_NAME;
	a0 = screen;
	d0 = dx;
	d1 = dy;
	__asm volatile ("
	jsr a6@(-0xa2)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (d0), "g" (d1)
	: "d0", "d1", "a0", "a1");
}
__inline static void MoveWindow(BASE_PAR_DECL struct Window* window, long int dx, long int dy)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");
	register long int d0 __asm("d0");
	register long int d1 __asm("d1");

	a6 = BASE_NAME;
	a0 = window;
	d0 = dx;
	d1 = dy;
	__asm volatile ("
	jsr a6@(-0xa8)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (d0), "g" (d1)
	: "d0", "d1", "a0", "a1");
}
__inline static void OffGadget(BASE_PAR_DECL struct Gadget* gadget, struct Window* window, struct Requester* requester)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Gadget* a0 __asm("a0");
	register struct Window* a1 __asm("a1");
	register struct Requester* a2 __asm("a2");

	a6 = BASE_NAME;
	a0 = gadget;
	a1 = window;
	a2 = requester;
	__asm volatile ("
	jsr a6@(-0xae)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (a1), "g" (a2)
	: "d0", "d1", "a0", "a1", "a2");
}
__inline static void OffMenu(BASE_PAR_DECL struct Window* window, long unsigned int menuNumber)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");
	register long unsigned int d0 __asm("d0");

	a6 = BASE_NAME;
	a0 = window;
	d0 = menuNumber;
	__asm volatile ("
	jsr a6@(-0xb4)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (d0)
	: "d0", "d1", "a0", "a1");
}
__inline static void OnGadget(BASE_PAR_DECL struct Gadget* gadget, struct Window* window, struct Requester* requester)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Gadget* a0 __asm("a0");
	register struct Window* a1 __asm("a1");
	register struct Requester* a2 __asm("a2");

	a6 = BASE_NAME;
	a0 = gadget;
	a1 = window;
	a2 = requester;
	__asm volatile ("
	jsr a6@(-0xba)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (a1), "g" (a2)
	: "d0", "d1", "a0", "a1", "a2");
}
__inline static void OnMenu(BASE_PAR_DECL struct Window* window, long unsigned int menuNumber)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");
	register long unsigned int d0 __asm("d0");

	a6 = BASE_NAME;
	a0 = window;
	d0 = menuNumber;
	__asm volatile ("
	jsr a6@(-0xc0)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (d0)
	: "d0", "d1", "a0", "a1");
}
__inline static struct Screen* OpenScreen(BASE_PAR_DECL struct NewScreen* newScreen)
{
	BASE_EXT_DECL
	register struct Screen* res __asm("d0");
	register void *a6 __asm ("a6");
	register struct NewScreen* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = newScreen;
	__asm volatile ("
	jsr a6@(-0xc6)"
	: "=g" (res)
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static struct Window* OpenWindow(BASE_PAR_DECL struct NewWindow* newWindow)
{
	BASE_EXT_DECL
	register struct Window* res __asm("d0");
	register void *a6 __asm ("a6");
	register struct NewWindow* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = newWindow;
	__asm volatile ("
	jsr a6@(-0xcc)"
	: "=g" (res)
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static BOOL OpenWorkBench(BASE_PAR_DECL0)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	a6 = BASE_NAME;
	__asm volatile ("
	jsr a6@(-0xd2)"
	: "=g" (res)
	: "g" (a6)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void PrintIText(BASE_PAR_DECL struct RastPort* rp, struct IntuiText* iText, long int left, long int top)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct RastPort* a0 __asm("a0");
	register struct IntuiText* a1 __asm("a1");
	register long int d0 __asm("d0");
	register long int d1 __asm("d1");

	a6 = BASE_NAME;
	a0 = rp;
	a1 = iText;
	d0 = left;
	d1 = top;
	__asm volatile ("
	jsr a6@(-0xd8)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (a1), "g" (d0), "g" (d1)
	: "d0", "d1", "a0", "a1");
}
__inline static void RefreshGadgets(BASE_PAR_DECL struct Gadget* gadgets, struct Window* window, struct Requester* requester)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Gadget* a0 __asm("a0");
	register struct Window* a1 __asm("a1");
	register struct Requester* a2 __asm("a2");

	a6 = BASE_NAME;
	a0 = gadgets;
	a1 = window;
	a2 = requester;
	__asm volatile ("
	jsr a6@(-0xde)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (a1), "g" (a2)
	: "d0", "d1", "a0", "a1", "a2");
}
__inline static UWORD RemoveGadget(BASE_PAR_DECL struct Window* window, struct Gadget* gadget)
{
	BASE_EXT_DECL
	register UWORD res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");
	register struct Gadget* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = window;
	a1 = gadget;
	__asm volatile ("
	jsr a6@(-0xe4)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void ReportMouse(BASE_PAR_DECL long int flag, struct Window* window)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register long int d0 __asm("d0");
	register struct Window* a0 __asm("a0");

	a6 = BASE_NAME;
	d0 = flag;
	a0 = window;
	__asm volatile ("
	jsr a6@(-0xea)"
	: /* no output */
	: "g" (a6), "g" (d0), "g" (a0)
	: "d0", "d1", "a0", "a1");
}
__inline static BOOL Request(BASE_PAR_DECL struct Requester* requester, struct Window* window)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Requester* a0 __asm("a0");
	register struct Window* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = requester;
	a1 = window;
	__asm volatile ("
	jsr a6@(-0xf0)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void ScreenToBack(BASE_PAR_DECL struct Screen* screen)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Screen* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = screen;
	__asm volatile ("
	jsr a6@(-0xf6)"
	: /* no output */
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
}
__inline static void ScreenToFront(BASE_PAR_DECL struct Screen* screen)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Screen* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = screen;
	__asm volatile ("
	jsr a6@(-0xfc)"
	: /* no output */
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
}
__inline static BOOL SetDMRequest(BASE_PAR_DECL struct Window* window, struct Requester* requester)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");
	register struct Requester* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = window;
	a1 = requester;
	__asm volatile ("
	jsr a6@(-0x102)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static BOOL SetMenuStrip(BASE_PAR_DECL struct Window* window, struct Menu* menu)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");
	register struct Menu* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = window;
	a1 = menu;
	__asm volatile ("
	jsr a6@(-0x108)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void SetPointer(BASE_PAR_DECL struct Window* window, UWORD* pointer, long int height, long int width, long int xOffset, long int yOffset)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");
	register UWORD* a1 __asm("a1");
	register long int d0 __asm("d0");
	register long int d1 __asm("d1");
	register long int d2 __asm("d2");
	register long int d3 __asm("d3");

	a6 = BASE_NAME;
	a0 = window;
	a1 = pointer;
	d0 = height;
	d1 = width;
	d2 = xOffset;
	d3 = yOffset;
	__asm volatile ("
	jsr a6@(-0x10e)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (a1), "g" (d0), "g" (d1), "g" (d2), "g" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
}
__inline static void SetWindowTitles(BASE_PAR_DECL struct Window* window, UBYTE* windowTitle, UBYTE* screenTitle)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");
	register UBYTE* a1 __asm("a1");
	register UBYTE* a2 __asm("a2");

	a6 = BASE_NAME;
	a0 = window;
	a1 = windowTitle;
	a2 = screenTitle;
	__asm volatile ("
	jsr a6@(-0x114)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (a1), "g" (a2)
	: "d0", "d1", "a0", "a1", "a2");
}
__inline static void ShowTitle(BASE_PAR_DECL struct Screen* screen, long int showIt)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Screen* a0 __asm("a0");
	register long int d0 __asm("d0");

	a6 = BASE_NAME;
	a0 = screen;
	d0 = showIt;
	__asm volatile ("
	jsr a6@(-0x11a)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (d0)
	: "d0", "d1", "a0", "a1");
}
__inline static void SizeWindow(BASE_PAR_DECL struct Window* window, long int dx, long int dy)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");
	register long int d0 __asm("d0");
	register long int d1 __asm("d1");

	a6 = BASE_NAME;
	a0 = window;
	d0 = dx;
	d1 = dy;
	__asm volatile ("
	jsr a6@(-0x120)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (d0), "g" (d1)
	: "d0", "d1", "a0", "a1");
}
__inline static struct View* ViewAddress(BASE_PAR_DECL0)
{
	BASE_EXT_DECL
	register struct View* res __asm("d0");
	register void *a6 __asm ("a6");
	a6 = BASE_NAME;
	__asm volatile ("
	jsr a6@(-0x126)"
	: "=g" (res)
	: "g" (a6)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static struct ViewPort* ViewPortAddress(BASE_PAR_DECL struct Window* window)
{
	BASE_EXT_DECL
	register struct ViewPort* res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = window;
	__asm volatile ("
	jsr a6@(-0x12c)"
	: "=g" (res)
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void WindowToBack(BASE_PAR_DECL struct Window* window)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = window;
	__asm volatile ("
	jsr a6@(-0x132)"
	: /* no output */
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
}
__inline static void WindowToFront(BASE_PAR_DECL struct Window* window)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = window;
	__asm volatile ("
	jsr a6@(-0x138)"
	: /* no output */
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
}
__inline static BOOL WindowLimits(BASE_PAR_DECL struct Window* window, long int widthMin, long int heightMin, long unsigned int widthMax, long unsigned int heightMax)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");
	register long int d0 __asm("d0");
	register long int d1 __asm("d1");
	register long unsigned int d2 __asm("d2");
	register long unsigned int d3 __asm("d3");

	a6 = BASE_NAME;
	a0 = window;
	d0 = widthMin;
	d1 = heightMin;
	d2 = widthMax;
	d3 = heightMax;
	__asm volatile ("
	jsr a6@(-0x13e)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (d0), "g" (d1), "g" (d2), "g" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
	return res;
}
__inline static struct Preferences* SetPrefs(BASE_PAR_DECL struct Preferences* preferences, long int size, long int inform)
{
	BASE_EXT_DECL
	register struct Preferences* res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Preferences* a0 __asm("a0");
	register long int d0 __asm("d0");
	register long int d1 __asm("d1");

	a6 = BASE_NAME;
	a0 = preferences;
	d0 = size;
	d1 = inform;
	__asm volatile ("
	jsr a6@(-0x144)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (d0), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static LONG IntuiTextLength(BASE_PAR_DECL struct IntuiText* iText)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register struct IntuiText* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = iText;
	__asm volatile ("
	jsr a6@(-0x14a)"
	: "=g" (res)
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static BOOL WBenchToBack(BASE_PAR_DECL0)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	a6 = BASE_NAME;
	__asm volatile ("
	jsr a6@(-0x150)"
	: "=g" (res)
	: "g" (a6)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static BOOL WBenchToFront(BASE_PAR_DECL0)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	a6 = BASE_NAME;
	__asm volatile ("
	jsr a6@(-0x156)"
	: "=g" (res)
	: "g" (a6)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static BOOL AutoRequest(BASE_PAR_DECL struct Window* window, struct IntuiText* body, struct IntuiText* posText, struct IntuiText* negText, long unsigned int pFlag, long unsigned int nFlag, long unsigned int width, long unsigned int height)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");
	register struct IntuiText* a1 __asm("a1");
	register struct IntuiText* a2 __asm("a2");
	register struct IntuiText* a3 __asm("a3");
	register long unsigned int d0 __asm("d0");
	register long unsigned int d1 __asm("d1");
	register long unsigned int d2 __asm("d2");
	register long unsigned int d3 __asm("d3");

	a6 = BASE_NAME;
	a0 = window;
	a1 = body;
	a2 = posText;
	a3 = negText;
	d0 = pFlag;
	d1 = nFlag;
	d2 = width;
	d3 = height;
	__asm volatile ("" : /* no input */
	: "g" (a0), "g" (a1));
	__asm volatile ("
	jsr a6@(-0x15c)"
	: "=g" (res)
	: "g" (a6), "g" (a1), "g" (a2), "g" (a3), "g" (d0), "g" (d1), "g" (d2)
	: "d0", "d1", "a0", "a1", "a2", "a3", "d2", "d3");
	return res;
}
__inline static void BeginRefresh(BASE_PAR_DECL struct Window* window)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = window;
	__asm volatile ("
	jsr a6@(-0x162)"
	: /* no output */
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
}
__inline static struct Window* BuildSysRequest(BASE_PAR_DECL struct Window* window, struct IntuiText* body, struct IntuiText* posText, struct IntuiText* negText, long unsigned int flags, long unsigned int width, long unsigned int height)
{
	BASE_EXT_DECL
	register struct Window* res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");
	register struct IntuiText* a1 __asm("a1");
	register struct IntuiText* a2 __asm("a2");
	register struct IntuiText* a3 __asm("a3");
	register long unsigned int d0 __asm("d0");
	register long unsigned int d1 __asm("d1");
	register long unsigned int d2 __asm("d2");

	a6 = BASE_NAME;
	a0 = window;
	a1 = body;
	a2 = posText;
	a3 = negText;
	d0 = flags;
	d1 = width;
	d2 = height;
	__asm volatile ("" : /* no input */
	: "g" (a0));
	__asm volatile ("
	jsr a6@(-0x168)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1), "g" (a2), "g" (a3), "g" (d0), "g" (d1)
	: "d0", "d1", "a0", "a1", "a2", "a3", "d2");
	return res;
}
__inline static void EndRefresh(BASE_PAR_DECL struct Window* window, long int complete)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");
	register long int d0 __asm("d0");

	a6 = BASE_NAME;
	a0 = window;
	d0 = complete;
	__asm volatile ("
	jsr a6@(-0x16e)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (d0)
	: "d0", "d1", "a0", "a1");
}
__inline static void FreeSysRequest(BASE_PAR_DECL struct Window* window)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = window;
	__asm volatile ("
	jsr a6@(-0x174)"
	: /* no output */
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
}
__inline static void MakeScreen(BASE_PAR_DECL struct Screen* screen)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Screen* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = screen;
	__asm volatile ("
	jsr a6@(-0x17a)"
	: /* no output */
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
}
__inline static void RemakeDisplay(BASE_PAR_DECL0)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	a6 = BASE_NAME;
	__asm volatile ("
	jsr a6@(-0x180)"
	: /* no output */
	: "g" (a6)
	: "d0", "d1", "a0", "a1");
}
__inline static void RethinkDisplay(BASE_PAR_DECL0)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	a6 = BASE_NAME;
	__asm volatile ("
	jsr a6@(-0x186)"
	: /* no output */
	: "g" (a6)
	: "d0", "d1", "a0", "a1");
}
__inline static APTR AllocRemember(BASE_PAR_DECL struct Remember** rememberKey, long unsigned int size, long unsigned int flags)
{
	BASE_EXT_DECL
	register APTR res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Remember** a0 __asm("a0");
	register long unsigned int d0 __asm("d0");
	register long unsigned int d1 __asm("d1");

	a6 = BASE_NAME;
	a0 = rememberKey;
	d0 = size;
	d1 = flags;
	__asm volatile ("
	jsr a6@(-0x18c)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (d0), "g" (d1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void AlohaWorkbench(BASE_PAR_DECL long int wbport)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register long int a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = wbport;
	__asm volatile ("
	jsr a6@(-0x192)"
	: /* no output */
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
}
__inline static void FreeRemember(BASE_PAR_DECL struct Remember** rememberKey, long int reallyForget)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Remember** a0 __asm("a0");
	register long int d0 __asm("d0");

	a6 = BASE_NAME;
	a0 = rememberKey;
	d0 = reallyForget;
	__asm volatile ("
	jsr a6@(-0x198)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (d0)
	: "d0", "d1", "a0", "a1");
}
__inline static ULONG LockIBase(BASE_PAR_DECL long unsigned int dontknow)
{
	BASE_EXT_DECL
	register ULONG res __asm("d0");
	register void *a6 __asm ("a6");
	register long unsigned int d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = dontknow;
	__asm volatile ("
	jsr a6@(-0x19e)"
	: "=g" (res)
	: "g" (a6), "g" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void UnlockIBase(BASE_PAR_DECL long unsigned int ibLock)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register long unsigned int a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = ibLock;
	__asm volatile ("
	jsr a6@(-0x1a4)"
	: /* no output */
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
}
__inline static LONG GetScreenData(BASE_PAR_DECL APTR buffer, long unsigned int size, long unsigned int type, struct Screen* screen)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register APTR a0 __asm("a0");
	register long unsigned int d0 __asm("d0");
	register long unsigned int d1 __asm("d1");
	register struct Screen* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = buffer;
	d0 = size;
	d1 = type;
	a1 = screen;
	__asm volatile ("
	jsr a6@(-0x1aa)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (d0), "g" (d1), "g" (a1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void RefreshGList(BASE_PAR_DECL struct Gadget* gadgets, struct Window* window, struct Requester* requester, long int numGad)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Gadget* a0 __asm("a0");
	register struct Window* a1 __asm("a1");
	register struct Requester* a2 __asm("a2");
	register long int d0 __asm("d0");

	a6 = BASE_NAME;
	a0 = gadgets;
	a1 = window;
	a2 = requester;
	d0 = numGad;
	__asm volatile ("
	jsr a6@(-0x1b0)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (a1), "g" (a2), "g" (d0)
	: "d0", "d1", "a0", "a1", "a2");
}
__inline static UWORD AddGList(BASE_PAR_DECL struct Window* window, struct Gadget* gadget, long unsigned int position, long int numGad, struct Requester* requester)
{
	BASE_EXT_DECL
	register UWORD res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");
	register struct Gadget* a1 __asm("a1");
	register long unsigned int d0 __asm("d0");
	register long int d1 __asm("d1");
	register struct Requester* a2 __asm("a2");

	a6 = BASE_NAME;
	a0 = window;
	a1 = gadget;
	d0 = position;
	d1 = numGad;
	a2 = requester;
	__asm volatile ("
	jsr a6@(-0x1b6)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1), "g" (d0), "g" (d1), "g" (a2)
	: "d0", "d1", "a0", "a1", "a2");
	return res;
}
__inline static UWORD RemoveGList(BASE_PAR_DECL struct Window* remPtr, struct Gadget* gadget, long int numGad)
{
	BASE_EXT_DECL
	register UWORD res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");
	register struct Gadget* a1 __asm("a1");
	register long int d0 __asm("d0");

	a6 = BASE_NAME;
	a0 = remPtr;
	a1 = gadget;
	d0 = numGad;
	__asm volatile ("
	jsr a6@(-0x1bc)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1), "g" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static LONG ActivateWindow(BASE_PAR_DECL struct Window* window)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = window;
	__asm volatile ("
	jsr a6@(-0x1c2)"
	: "=g" (res)
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void RefreshWindowFrame(BASE_PAR_DECL struct Window* window)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = window;
	__asm volatile ("
	jsr a6@(-0x1c8)"
	: /* no output */
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
}
__inline static BOOL ActivateGadget(BASE_PAR_DECL struct Gadget* gadgets, struct Window* window, struct Requester* requester)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Gadget* a0 __asm("a0");
	register struct Window* a1 __asm("a1");
	register struct Requester* a2 __asm("a2");

	a6 = BASE_NAME;
	a0 = gadgets;
	a1 = window;
	a2 = requester;
	__asm volatile ("
	jsr a6@(-0x1ce)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1), "g" (a2)
	: "d0", "d1", "a0", "a1", "a2");
	return res;
}
__inline static void NewModifyProp(BASE_PAR_DECL struct Gadget* gadget, struct Window* window, struct Requester* requester, long unsigned int flags, long unsigned int horizPot, long unsigned int vertPot, long unsigned int horizBody, long unsigned int vertBody, long int numGad)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Gadget* a0 __asm("a0");
	register struct Window* a1 __asm("a1");
	register struct Requester* a2 __asm("a2");
	register long unsigned int d0 __asm("d0");
	register long unsigned int d1 __asm("d1");
	register long unsigned int d2 __asm("d2");
	register long unsigned int d3 __asm("d3");
	register long unsigned int d4 __asm("d4");
	register long int d5 __asm("d5");

	a6 = BASE_NAME;
	a0 = gadget;
	a1 = window;
	a2 = requester;
	d0 = flags;
	d1 = horizPot;
	d2 = vertPot;
	d3 = horizBody;
	d4 = vertBody;
	d5 = numGad;
	__asm volatile ("" : /* no input */
	: "g" (a0), "g" (a1));
	__asm volatile ("
	jsr a6@(-0x1d4)"
	: /* no output */
	: "g" (a6), "g" (a1), "g" (a2), "g" (d0), "g" (d1), "g" (d2), "g" (d3), "g" (d4)
	: "d0", "d1", "a0", "a1", "a2", "d2", "d3", "d4", "d5");
}
__inline static LONG QueryOverscan(BASE_PAR_DECL long unsigned int displayID, struct Rectangle* rect, long int oScanType)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register long unsigned int a0 __asm("a0");
	register struct Rectangle* a1 __asm("a1");
	register long int d0 __asm("d0");

	a6 = BASE_NAME;
	a0 = displayID;
	a1 = rect;
	d0 = oScanType;
	__asm volatile ("
	jsr a6@(-0x1da)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1), "g" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void MoveWindowInFrontOf(BASE_PAR_DECL struct Window* window, struct Window* behindWindow)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");
	register struct Window* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = window;
	a1 = behindWindow;
	__asm volatile ("
	jsr a6@(-0x1e0)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (a1)
	: "d0", "d1", "a0", "a1");
}
__inline static void ChangeWindowBox(BASE_PAR_DECL struct Window* window, long int left, long int top, long int width, long int height)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");
	register long int d0 __asm("d0");
	register long int d1 __asm("d1");
	register long int d2 __asm("d2");
	register long int d3 __asm("d3");

	a6 = BASE_NAME;
	a0 = window;
	d0 = left;
	d1 = top;
	d2 = width;
	d3 = height;
	__asm volatile ("
	jsr a6@(-0x1e6)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (d0), "g" (d1), "g" (d2), "g" (d3)
	: "d0", "d1", "a0", "a1", "d2", "d3");
}
__inline static struct Hook* SetEditHook(BASE_PAR_DECL struct Hook* hook)
{
	BASE_EXT_DECL
	register struct Hook* res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Hook* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = hook;
	__asm volatile ("
	jsr a6@(-0x1ec)"
	: "=g" (res)
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static LONG SetMouseQueue(BASE_PAR_DECL struct Window* window, long unsigned int queueLength)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");
	register long unsigned int d0 __asm("d0");

	a6 = BASE_NAME;
	a0 = window;
	d0 = queueLength;
	__asm volatile ("
	jsr a6@(-0x1f2)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void ZipWindow(BASE_PAR_DECL struct Window* window)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = window;
	__asm volatile ("
	jsr a6@(-0x1f8)"
	: /* no output */
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
}
__inline static struct Screen* LockPubScreen(BASE_PAR_DECL UBYTE* name)
{
	BASE_EXT_DECL
	register struct Screen* res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = name;
	__asm volatile ("
	jsr a6@(-0x1fe)"
	: "=g" (res)
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void UnlockPubScreen(BASE_PAR_DECL UBYTE* name, struct Screen* screen)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register UBYTE* a0 __asm("a0");
	register struct Screen* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = name;
	a1 = screen;
	__asm volatile ("
	jsr a6@(-0x204)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (a1)
	: "d0", "d1", "a0", "a1");
}
__inline static struct List* LockPubScreenList(BASE_PAR_DECL0)
{
	BASE_EXT_DECL
	register struct List* res __asm("d0");
	register void *a6 __asm ("a6");
	a6 = BASE_NAME;
	__asm volatile ("
	jsr a6@(-0x20a)"
	: "=g" (res)
	: "g" (a6)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void UnlockPubScreenList(BASE_PAR_DECL0)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	a6 = BASE_NAME;
	__asm volatile ("
	jsr a6@(-0x210)"
	: /* no output */
	: "g" (a6)
	: "d0", "d1", "a0", "a1");
}
__inline static UBYTE* NextPubScreen(BASE_PAR_DECL struct Screen* screen, UBYTE* namebuf)
{
	BASE_EXT_DECL
	register UBYTE* res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Screen* a0 __asm("a0");
	register UBYTE* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = screen;
	a1 = namebuf;
	__asm volatile ("
	jsr a6@(-0x216)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void SetDefaultPubScreen(BASE_PAR_DECL UBYTE* name)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register UBYTE* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = name;
	__asm volatile ("
	jsr a6@(-0x21c)"
	: /* no output */
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
}
__inline static UWORD SetPubScreenModes(BASE_PAR_DECL long unsigned int modes)
{
	BASE_EXT_DECL
	register UWORD res __asm("d0");
	register void *a6 __asm ("a6");
	register long unsigned int d0 __asm("d0");

	a6 = BASE_NAME;
	d0 = modes;
	__asm volatile ("
	jsr a6@(-0x222)"
	: "=g" (res)
	: "g" (a6), "g" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static UWORD PubScreenStatus(BASE_PAR_DECL struct Screen* screen, long unsigned int statusFlags)
{
	BASE_EXT_DECL
	register UWORD res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Screen* a0 __asm("a0");
	register long unsigned int d0 __asm("d0");

	a6 = BASE_NAME;
	a0 = screen;
	d0 = statusFlags;
	__asm volatile ("
	jsr a6@(-0x228)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static struct RastPort* ObtainGIRPort(BASE_PAR_DECL struct GadgetInfo* gInfo)
{
	BASE_EXT_DECL
	register struct RastPort* res __asm("d0");
	register void *a6 __asm ("a6");
	register struct GadgetInfo* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = gInfo;
	__asm volatile ("
	jsr a6@(-0x22e)"
	: "=g" (res)
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void ReleaseGIRPort(BASE_PAR_DECL struct RastPort* rp)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct RastPort* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = rp;
	__asm volatile ("
	jsr a6@(-0x234)"
	: /* no output */
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
}
__inline static void GadgetMouse(BASE_PAR_DECL struct Gadget* gadget, struct GadgetInfo* gInfo, WORD* mousePoint)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Gadget* a0 __asm("a0");
	register struct GadgetInfo* a1 __asm("a1");
	register WORD* a2 __asm("a2");

	a6 = BASE_NAME;
	a0 = gadget;
	a1 = gInfo;
	a2 = mousePoint;
	__asm volatile ("
	jsr a6@(-0x23a)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (a1), "g" (a2)
	: "d0", "d1", "a0", "a1", "a2");
}
#ifdef PRIVATE
#endif
__inline static void GetDefaultPubScreen(BASE_PAR_DECL UBYTE* nameBuffer)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register UBYTE* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = nameBuffer;
	__asm volatile ("
	jsr a6@(-0x246)"
	: /* no output */
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
}
__inline static LONG EasyRequestArgs(BASE_PAR_DECL struct Window* window, struct EasyStruct* easyStruct, ULONG* idcmpPtr, APTR args)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");
	register struct EasyStruct* a1 __asm("a1");
	register ULONG* a2 __asm("a2");
	register APTR a3 __asm("a3");

	a6 = BASE_NAME;
	a0 = window;
	a1 = easyStruct;
	a2 = idcmpPtr;
	a3 = args;
	__asm volatile ("
	jsr a6@(-0x24c)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1), "g" (a2), "g" (a3)
	: "d0", "d1", "a0", "a1", "a2", "a3");
	return res;
}
__inline static struct Window* BuildEasyRequestArgs(BASE_PAR_DECL struct Window* window, struct EasyStruct* easyStruct, long unsigned int idcmp, APTR args)
{
	BASE_EXT_DECL
	register struct Window* res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");
	register struct EasyStruct* a1 __asm("a1");
	register long unsigned int d0 __asm("d0");
	register APTR a3 __asm("a3");

	a6 = BASE_NAME;
	a0 = window;
	a1 = easyStruct;
	d0 = idcmp;
	a3 = args;
	__asm volatile ("
	jsr a6@(-0x252)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1), "g" (d0), "g" (a3)
	: "d0", "d1", "a0", "a1", "a3");
	return res;
}
__inline static LONG SysReqHandler(BASE_PAR_DECL struct Window* window, ULONG* idcmpPtr, long int waitInput)
{
	BASE_EXT_DECL
	register LONG res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");
	register ULONG* a1 __asm("a1");
	register long int d0 __asm("d0");

	a6 = BASE_NAME;
	a0 = window;
	a1 = idcmpPtr;
	d0 = waitInput;
	__asm volatile ("
	jsr a6@(-0x258)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1), "g" (d0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static struct Window* OpenWindowTagList(BASE_PAR_DECL struct NewWindow* newWindow, struct TagItem* tagList)
{
	BASE_EXT_DECL
	register struct Window* res __asm("d0");
	register void *a6 __asm ("a6");
	register struct NewWindow* a0 __asm("a0");
	register struct TagItem* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = newWindow;
	a1 = tagList;
	__asm volatile ("
	jsr a6@(-0x25e)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static struct Screen* OpenScreenTagList(BASE_PAR_DECL struct NewScreen* newScreen, struct TagItem* tagList)
{
	BASE_EXT_DECL
	register struct Screen* res __asm("d0");
	register void *a6 __asm ("a6");
	register struct NewScreen* a0 __asm("a0");
	register struct TagItem* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = newScreen;
	a1 = tagList;
	__asm volatile ("
	jsr a6@(-0x264)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void DrawImageState(BASE_PAR_DECL struct RastPort* rp, struct Image* image, long int leftOffset, long int topOffset, long unsigned int state, struct DrawInfo* drawInfo)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct RastPort* a0 __asm("a0");
	register struct Image* a1 __asm("a1");
	register long int d0 __asm("d0");
	register long int d1 __asm("d1");
	register long unsigned int d2 __asm("d2");
	register struct DrawInfo* a2 __asm("a2");

	a6 = BASE_NAME;
	a0 = rp;
	a1 = image;
	d0 = leftOffset;
	d1 = topOffset;
	d2 = state;
	a2 = drawInfo;
	__asm volatile ("
	jsr a6@(-0x26a)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (a1), "g" (d0), "g" (d1), "g" (d2), "g" (a2)
	: "d0", "d1", "a0", "a1", "d2", "a2");
}
__inline static BOOL PointInImage(BASE_PAR_DECL long unsigned int point, struct Image* image)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register long unsigned int d0 __asm("d0");
	register struct Image* a0 __asm("a0");

	a6 = BASE_NAME;
	d0 = point;
	a0 = image;
	__asm volatile ("
	jsr a6@(-0x270)"
	: "=g" (res)
	: "g" (a6), "g" (d0), "g" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void EraseImage(BASE_PAR_DECL struct RastPort* rp, struct Image* image, long int leftOffset, long int topOffset)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct RastPort* a0 __asm("a0");
	register struct Image* a1 __asm("a1");
	register long int d0 __asm("d0");
	register long int d1 __asm("d1");

	a6 = BASE_NAME;
	a0 = rp;
	a1 = image;
	d0 = leftOffset;
	d1 = topOffset;
	__asm volatile ("
	jsr a6@(-0x276)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (a1), "g" (d0), "g" (d1)
	: "d0", "d1", "a0", "a1");
}
__inline static APTR NewObjectA(BASE_PAR_DECL struct IClass* class, UBYTE* classID, struct TagItem* tagList)
{
	BASE_EXT_DECL
	register APTR res __asm("d0");
	register void *a6 __asm ("a6");
	register struct IClass* a0 __asm("a0");
	register UBYTE* a1 __asm("a1");
	register struct TagItem* a2 __asm("a2");

	a6 = BASE_NAME;
	a0 = class;
	a1 = classID;
	a2 = tagList;
	__asm volatile ("
	jsr a6@(-0x27c)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1), "g" (a2)
	: "d0", "d1", "a0", "a1", "a2");
	return res;
}
__inline static void DisposeObject(BASE_PAR_DECL APTR object)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register APTR a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = object;
	__asm volatile ("
	jsr a6@(-0x282)"
	: /* no output */
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
}
__inline static ULONG SetAttrsA(BASE_PAR_DECL APTR object, struct TagItem* tagList)
{
	BASE_EXT_DECL
	register ULONG res __asm("d0");
	register void *a6 __asm ("a6");
	register APTR a0 __asm("a0");
	register struct TagItem* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = object;
	a1 = tagList;
	__asm volatile ("
	jsr a6@(-0x288)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static ULONG GetAttr(BASE_PAR_DECL long unsigned int attrID, APTR object, ULONG* storagePtr)
{
	BASE_EXT_DECL
	register ULONG res __asm("d0");
	register void *a6 __asm ("a6");
	register long unsigned int d0 __asm("d0");
	register APTR a0 __asm("a0");
	register ULONG* a1 __asm("a1");

	a6 = BASE_NAME;
	d0 = attrID;
	a0 = object;
	a1 = storagePtr;
	__asm volatile ("
	jsr a6@(-0x28e)"
	: "=g" (res)
	: "g" (a6), "g" (d0), "g" (a0), "g" (a1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static ULONG SetGadgetAttrsA(BASE_PAR_DECL struct Gadget* gadget, struct Window* window, struct Requester* requester, struct TagItem* tagList)
{
	BASE_EXT_DECL
	register ULONG res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Gadget* a0 __asm("a0");
	register struct Window* a1 __asm("a1");
	register struct Requester* a2 __asm("a2");
	register struct TagItem* a3 __asm("a3");

	a6 = BASE_NAME;
	a0 = gadget;
	a1 = window;
	a2 = requester;
	a3 = tagList;
	__asm volatile ("
	jsr a6@(-0x294)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1), "g" (a2), "g" (a3)
	: "d0", "d1", "a0", "a1", "a2", "a3");
	return res;
}
__inline static APTR NextObject(BASE_PAR_DECL APTR objectPtrPtr)
{
	BASE_EXT_DECL
	register APTR res __asm("d0");
	register void *a6 __asm ("a6");
	register APTR a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = objectPtrPtr;
	__asm volatile ("
	jsr a6@(-0x29a)"
	: "=g" (res)
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
#ifdef PRIVATE
#endif
__inline static struct IClass* MakeClass(BASE_PAR_DECL UBYTE* classID, UBYTE* superClassID, struct IClass* superClassPtr, long unsigned int instanceSize, long unsigned int flags)
{
	BASE_EXT_DECL
	register struct IClass* res __asm("d0");
	register void *a6 __asm ("a6");
	register UBYTE* a0 __asm("a0");
	register UBYTE* a1 __asm("a1");
	register struct IClass* a2 __asm("a2");
	register long unsigned int d0 __asm("d0");
	register long unsigned int d1 __asm("d1");

	a6 = BASE_NAME;
	a0 = classID;
	a1 = superClassID;
	a2 = superClassPtr;
	d0 = instanceSize;
	d1 = flags;
	__asm volatile ("
	jsr a6@(-0x2a6)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1), "g" (a2), "g" (d0), "g" (d1)
	: "d0", "d1", "a0", "a1", "a2");
	return res;
}
__inline static void AddClass(BASE_PAR_DECL struct IClass* class)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct IClass* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = class;
	__asm volatile ("
	jsr a6@(-0x2ac)"
	: /* no output */
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
}
__inline static struct DrawInfo* GetScreenDrawInfo(BASE_PAR_DECL struct Screen* screen)
{
	BASE_EXT_DECL
	register struct DrawInfo* res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Screen* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = screen;
	__asm volatile ("
	jsr a6@(-0x2b2)"
	: "=g" (res)
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void FreeScreenDrawInfo(BASE_PAR_DECL struct Screen* screen, struct DrawInfo* drawInfo)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct Screen* a0 __asm("a0");
	register struct DrawInfo* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = screen;
	a1 = drawInfo;
	__asm volatile ("
	jsr a6@(-0x2b8)"
	: /* no output */
	: "g" (a6), "g" (a0), "g" (a1)
	: "d0", "d1", "a0", "a1");
}
__inline static BOOL ResetMenuStrip(BASE_PAR_DECL struct Window* window, struct Menu* menu)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register struct Window* a0 __asm("a0");
	register struct Menu* a1 __asm("a1");

	a6 = BASE_NAME;
	a0 = window;
	a1 = menu;
	__asm volatile ("
	jsr a6@(-0x2be)"
	: "=g" (res)
	: "g" (a6), "g" (a0), "g" (a1)
	: "d0", "d1", "a0", "a1");
	return res;
}
__inline static void RemoveClass(BASE_PAR_DECL struct IClass* classPtr)
{
	BASE_EXT_DECL
	register void *a6 __asm ("a6");
	register struct IClass* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = classPtr;
	__asm volatile ("
	jsr a6@(-0x2c4)"
	: /* no output */
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
}
__inline static BOOL FreeClass(BASE_PAR_DECL struct IClass* classPtr)
{
	BASE_EXT_DECL
	register BOOL res __asm("d0");
	register void *a6 __asm ("a6");
	register struct IClass* a0 __asm("a0");

	a6 = BASE_NAME;
	a0 = classPtr;
	__asm volatile ("
	jsr a6@(-0x2ca)"
	: "=g" (res)
	: "g" (a6), "g" (a0)
	: "d0", "d1", "a0", "a1");
	return res;
}
#ifdef PRIVATE
#endif
#undef BASE_EXT_DECL
#undef BASE_PAR_DECL
#undef BASE_PAR_DECL0
#undef BASE_NAME
